From 0a47603c69511bef4a992ae85b0d412ec2f3a1c8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 10:59:51 +0200
Subject: [PATCH 01/32] gcc: update to 9.1.0

Remove libmpx{,-devel} as they are no longer supported.

[ci skip]
---
 common/shlibs                                 |   6 +-
 .../gcc/patches/0016-invalid_tls_model.diff   |  51 ------
 srcpkgs/gcc/patches/musl-ada.patch            |  87 +++++-----
 srcpkgs/gcc/patches/non-nullness.patch        |  88 ++++++++++
 srcpkgs/gcc/template                          | 153 ++++++++++--------
 srcpkgs/libmpx                                |   1 -
 srcpkgs/libmpx-devel                          |   1 -
 7 files changed, 211 insertions(+), 176 deletions(-)
 delete mode 100644 srcpkgs/gcc/patches/0016-invalid_tls_model.diff
 create mode 100644 srcpkgs/gcc/patches/non-nullness.patch
 delete mode 120000 srcpkgs/libmpx
 delete mode 120000 srcpkgs/libmpx-devel

diff --git a/common/shlibs b/common/shlibs
index 199b9fcfc3e..b8149de6481 100644
--- a/common/shlibs
+++ b/common/shlibs
@@ -57,7 +57,7 @@ libcc1plugin.so.0 gcc-6.2.1_1
 libitm.so.1 libitm-4.7.3_1
 liblto_plugin.so.0 gcc-4.7.3_1
 libgcc_s.so.1 libgcc-4.4.0_1
-libgo.so.13 libgo-8.2.0_1
+libgo.so.14 libgo-9.1.0_1
 libmpx.so.2 libmpx-6.2.1_1
 libmpxwrappers.so.2 libmpx-6.2.1_1
 libperl.so.5.28 perl-5.28.0_1
@@ -863,8 +863,8 @@ libgdkmm-2.4.so.1 gtkmm2-2.24.0_1
 libgtkmm-2.4.so.1 gtkmm2-2.24.0_1
 libquadmath.so.0 libquadmath-4.4.0_1
 libgfortran.so.5 libgfortran-8.2.0_1
-libgnarl-8.so libada-8.2.0_5
-libgnat-8.so libada-8.2.0_5
+libgnarl-9.so libada-9.1.0_1
+libgnat-9.so libada-9.1.0_1
 libmozjs185.so.1.0 js-1.8.5_1
 libwebp.so.7 libwebp-0.6.0_1
 libwebpmux.so.3 libwebp-0.6.0_1
diff --git a/srcpkgs/gcc/patches/0016-invalid_tls_model.diff b/srcpkgs/gcc/patches/0016-invalid_tls_model.diff
deleted file mode 100644
index b3fe841e207..00000000000
--- a/srcpkgs/gcc/patches/0016-invalid_tls_model.diff
+++ /dev/null
@@ -1,51 +0,0 @@
---- ./libgomp/configure.tgt.orig	2018-09-25 13:44:16.654561098 -0400
-+++ ./libgomp/configure.tgt	2018-09-25 13:44:50.452688100 -0400
-@@ -10,23 +10,6 @@
- #  XCFLAGS		Add extra compile flags to use.
- #  XLDFLAGS		Add extra link flags to use.
- 
--# Optimize TLS usage by avoiding the overhead of dynamic allocation.
--if test $gcc_cv_have_tls = yes ; then
--  case "${target}" in
--
--    *-*-k*bsd*-gnu*)
--	;;
--
--    *-*-linux* | *-*-gnu*)
--	XCFLAGS="${XCFLAGS} -ftls-model=initial-exec"
--	;;
--
--    *-*-rtems*)
--	XCFLAGS="${XCFLAGS} -ftls-model=local-exec"
--	;;
--  esac
--fi
--
- # Since we require POSIX threads, assume a POSIX system by default.
- config_path="posix"
- 
---- ./libitm/configure.tgt.orig	2018-09-25 13:47:31.019296903 -0400
-+++ ./libitm/configure.tgt	2018-09-25 13:47:37.676322335 -0400
-@@ -27,22 +27,6 @@
- #  XCFLAGS		Add extra compile flags to use.
- #  XLDFLAGS		Add extra link flags to use.
- 
--# Optimize TLS usage by avoiding the overhead of dynamic allocation.
--if test "$gcc_cv_have_tls" = yes ; then
--  case "${target}" in
--
--    # For x86, we use slots in the TCB head for most of our TLS.
--    # The setup of those slots in beginTransaction can afford to
--    # use the global-dynamic model.
--    i[456]86-*-linux* | x86_64-*-linux*)
--	;;
--    
--    *-*-linux*)
--	XCFLAGS="${XCFLAGS} -ftls-model=initial-exec"
--	;;
--  esac
--fi
--
- # Map the target cpu to an ARCH sub-directory.  At the same time,
- # work out any special compilation flags as necessary.
- case "${target_cpu}" in
diff --git a/srcpkgs/gcc/patches/musl-ada.patch b/srcpkgs/gcc/patches/musl-ada.patch
index 5e6f2f77d2b..5e91b0476a3 100644
--- a/srcpkgs/gcc/patches/musl-ada.patch
+++ b/srcpkgs/gcc/patches/musl-ada.patch
@@ -124,51 +124,9 @@ index 0d12f7e..a063b47 100644
  #endif
  
  #if defined (_WIN32)
-diff --git a/gcc/ada/terminals.c b/gcc/ada/terminals.c
-index 7025f57..207b50d 100644
---- gcc/ada/terminals.c
-+++ gcc/ada/terminals.c
-@@ -1108,13 +1108,6 @@ __gnat_setup_winsize (void *desc, int rows, int columns)
- #include <stdio.h>
- #include <stdlib.h>
- 
--/* On some system termio is either absent or including it will disable termios
--   (HP-UX) */
--#if !defined (__hpux__) && !defined (BSD) && !defined (__APPLE__) \
--  && !defined (__rtems__) && !defined (__QNXNTO__)
--#   include <termio.h>
--#endif
--
- #include <sys/ioctl.h>
- #include <termios.h>
- #include <fcntl.h>
-diff --git a/gcc/ada/terminals.c b/gcc/ada/terminals.c
-index 207b50d..bd3a02c 100644
---- gcc/ada/terminals.c
-+++ gcc/ada/terminals.c
-@@ -1152,7 +1152,7 @@ __gnat_setup_winsize (void *desc, int rows, int columns)
- #if defined (__APPLE__) || defined (BSD)
- #define USE_OPENPTY
- #elif defined (__linux__)
--#define USE_GETPT
-+#define USE_POSIX_OPENPT
- #elif defined (__sun__)
- #define USE_CLONE_DEVICE "/dev/ptmx"
- #elif defined (_AIX)
-@@ -1201,8 +1201,8 @@ allocate_pty_desc (pty_desc **desc) {
-    int  master_fd   = -1;
-    char *slave_name = NULL;
- 
--#ifdef USE_GETPT
--  master_fd = getpt ();
-+#ifdef USE_POSIX_OPENPT
-+  master_fd = posix_openpt(O_RDWR | O_NOCTTY);
- #elif defined (USE_OPENPTY)
-   status = openpty (&master_fd, &slave_fd, NULL, NULL, NULL);
- #elif defined (USE_CLONE_DEVICE)
---- gcc/ada/gcc-interface/Makefile.in
-+++ gcc/ada/gcc-interface/Makefile.in
-@@ -1028,7 +1028,7 @@ ifeq ($(strip $(filter-out %86 linux%,$(target_cpu) $(target_os))),)
+--- gcc/ada/Makefile.rtl	2019-05-14 21:18:45.217455681 +0200
++++ gcc/ada/Makefile.rtl	2019-05-14 21:21:30.686464218 +0200
+@@ -1521,7 +1521,7 @@
    s-tpopsp.adb<libgnarl/s-tpopsp__tls.adb \
    $(TRASYM_DWARF_UNIX_PAIRS) \
    g-sercom.adb<libgnat/g-sercom__linux.adb \
@@ -177,7 +135,7 @@ index 207b50d..bd3a02c 100644
    a-exetim.adb<libgnarl/a-exetim__posix.adb \
    a-exetim.ads<libgnarl/a-exetim__default.ads \
    s-linux.ads<libgnarl/s-linux.ads \
-@@ -1545,7 +1545,7 @@ ifeq ($(strip $(filter-out powerpc% linux%,$(target_cpu) $(target_os))),)
+@@ -2073,7 +2073,7 @@
    s-tpopsp.adb<libgnarl/s-tpopsp__tls.adb \
    g-sercom.adb<libgnat/g-sercom__linux.adb \
    $(TRASYM_DWARF_UNIX_PAIRS) \
@@ -186,7 +144,7 @@ index 207b50d..bd3a02c 100644
    $(ATOMICS_TARGET_PAIRS) \
    $(ATOMICS_BUILTINS_TARGET_PAIRS) \
    system.ads<libgnat/system-linux-ppc.ads
-@@ -1574,7 +1574,7 @@ ifeq ($(strip $(filter-out powerpc% linux%,$(target_cpu) $(target_os))),)
+@@ -2102,7 +2102,7 @@
  endif
  
  # ARM linux, GNU eabi
@@ -195,7 +153,7 @@ index 207b50d..bd3a02c 100644
    LIBGNAT_TARGET_PAIRS = \
    a-intnam.ads<libgnarl/a-intnam__linux.ads \
    s-inmaop.adb<libgnarl/s-inmaop__posix.adb \
-@@ -1774,7 +1774,7 @@ ifeq ($(strip $(filter-out %ia64 linux%,$(target_cpu) $(target_os))),)
+@@ -2297,7 +2297,7 @@
    s-taspri.ads<libgnarl/s-taspri__posix-noaltstack.ads \
    g-sercom.adb<libgnat/g-sercom__linux.adb \
    $(TRASYM_DWARF_UNIX_PAIRS) \
@@ -204,7 +162,7 @@ index 207b50d..bd3a02c 100644
    $(ATOMICS_TARGET_PAIRS) \
    $(ATOMICS_BUILTINS_TARGET_PAIRS) \
    system.ads<libgnat/system-linux-ia64.ads
-@@ -1871,7 +1871,7 @@ ifeq ($(strip $(filter-out %x86_64 linux%,$(target_cpu) $(target_os))),)
+@@ -2394,7 +2394,7 @@
    s-taspri.ads<libgnarl/s-taspri__posix.ads \
    g-sercom.adb<libgnat/g-sercom__linux.adb \
    $(TRASYM_DWARF_UNIX_PAIRS) \
@@ -213,3 +171,34 @@ index 207b50d..bd3a02c 100644
    $(ATOMICS_TARGET_PAIRS) \
    $(X86_64_TARGET_PAIRS) \
    system.ads<libgnat/system-linux-x86.ads
+--- gcc/ada/terminals.c	2019-01-08 10:54:04.000000000 +0100
++++ gcc/ada/terminals.c	2019-05-15 13:14:09.935742526 +0200
+@@ -1136,7 +1136,7 @@
+ /* POSIX does not specify how to open the master side of a terminal.Several
+    methods are available (system specific):
+       1- using a cloning device (USE_CLONE_DEVICE)
+-      2- getpt                  (USE_GETPT)
++      2- posix_openpt           (USE_POSIX_OPENPT)
+       3- openpty                (USE_OPENPTY)
+ 
+    When using the cloning device method, the macro USE_CLONE_DEVICE should
+@@ -1150,7 +1150,7 @@
+ #if defined (__APPLE__) || defined (BSD)
+ #define USE_OPENPTY
+ #elif defined (__linux__)
+-#define USE_GETPT
++#define USE_POSIX_OPENPT
+ #elif defined (__sun__)
+ #define USE_CLONE_DEVICE "/dev/ptmx"
+ #elif defined (_AIX)
+@@ -1199,8 +1199,8 @@
+    int  master_fd   = -1;
+    char *slave_name = NULL;
+ 
+-#ifdef USE_GETPT
+-  master_fd = getpt ();
++#if defined(USE_POSIX_OPENPT)
++  master_fd = posix_openpt(O_RDWR | O_NOCTTY);
+ #elif defined (USE_OPENPTY)
+   status = openpty (&master_fd, &slave_fd, NULL, NULL, NULL);
+ #elif defined (USE_CLONE_DEVICE)
diff --git a/srcpkgs/gcc/patches/non-nullness.patch b/srcpkgs/gcc/patches/non-nullness.patch
new file mode 100644
index 00000000000..7e0e4425ce4
--- /dev/null
+++ b/srcpkgs/gcc/patches/non-nullness.patch
@@ -0,0 +1,88 @@
+Source: 2019-06-21  Jeff Law  <law@redhat.com>
+Upstream: yes
+Reason: PR tree-optimization/90949
+* tree-ssa-copy.c (fini_copy_prop): Use reset_flow_sensitive_info.
+* tree-ssanames.c (reset_flow_sensitive_info): Reset non-null state.
+
+--- gcc/tree-ssa-copy.c	2019-01-01 13:31:55.000000000 +0100
++++ gcc/tree-ssa-copy.c	2019-06-26 18:50:01.030395471 +0200
+@@ -545,13 +545,12 @@
+ 	      duplicate_ssa_name_ptr_info (copy_of[i].value,
+ 					   SSA_NAME_PTR_INFO (var));
+ 	      /* Points-to information is cfg insensitive,
+-		 but alignment info might be cfg sensitive, if it
+-		 e.g. is derived from VRP derived non-zero bits.
+-		 So, do not copy alignment info if the two SSA_NAMEs
+-		 aren't defined in the same basic block.  */
++		 but [E]VRP might record context sensitive alignment
++		 info, non-nullness, etc.  So reset context sensitive
++		 info if the two SSA_NAMEs aren't defined in the same
++		 basic block.  */
+ 	      if (var_bb != copy_of_bb)
+-		mark_ptr_info_alignment_unknown
+-				(SSA_NAME_PTR_INFO (copy_of[i].value));
++		reset_flow_sensitive_info (copy_of[i].value);
+ 	    }
+ 	  else if (!POINTER_TYPE_P (TREE_TYPE (var))
+ 		   && SSA_NAME_RANGE_INFO (var)
+--- gcc/tree-ssanames.c	2019-03-18 14:59:11.000000000 +0100
++++ gcc/tree-ssanames.c	2019-06-26 18:50:11.282394906 +0200
+@@ -820,7 +820,12 @@
+     {
+       /* points-to info is not flow-sensitive.  */
+       if (SSA_NAME_PTR_INFO (name))
+-	mark_ptr_info_alignment_unknown (SSA_NAME_PTR_INFO (name));
++	{
++	  /* [E]VRP can derive context sensitive alignment info and
++	     non-nullness properties.  We must reset both.  */
++	  mark_ptr_info_alignment_unknown (SSA_NAME_PTR_INFO (name));
++	  SSA_NAME_PTR_INFO (name)->pt.null = 1;
++	}
+     }
+   else
+     SSA_NAME_RANGE_INFO (name) = NULL;
+--- /dev/null
++++ gcc/testsuite/gcc.c-torture/pr90949.c	2019-06-26 18:53:16.870384679 +0200
+@@ -0,0 +1,42 @@
++void __attribute__ ((noipa, noinline)) my_puts (const char *str) { }
++
++void __attribute__ ((noipa, noinline)) my_free (void *p) { }
++
++
++struct Node
++{
++  struct Node *child;
++};
++
++struct Node space[2] = { };
++
++struct Node * __attribute__ ((noipa, noinline)) my_malloc (int bytes)
++{
++  return &space[0];
++}
++
++void
++walk (struct Node *module, int cleanup)
++{
++  if (module == 0)
++    {
++      return;
++    }
++  if (!cleanup)
++    {
++      my_puts ("No cleanup");
++    }
++  walk (module->child, cleanup);
++  if (cleanup)
++    {
++      my_free (module);
++    }
++}
++
++int
++main ()
++{
++  struct Node *node = my_malloc (sizeof (struct Node));
++  node->child = 0;
++  walk (node, 1);
++}
diff --git a/srcpkgs/gcc/template b/srcpkgs/gcc/template
index 4b8695b0293..56d1cf38dd4 100644
--- a/srcpkgs/gcc/template
+++ b/srcpkgs/gcc/template
@@ -1,25 +1,26 @@
 # Template file for 'gcc'
-_majorver=8.3
+_majorver=9
+_minorver=${_majorver}.1
 _gmp_version=6.1.2
 _mpfr_version=4.0.1
 _mpc_version=1.1.0
 _isl_version=0.19
 
 pkgname=gcc
-version=${_majorver}.0
-revision=2
+version=${_minorver}.0
+revision=1
 short_desc="GNU Compiler Collection"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="http://gcc.gnu.org"
 license="GFDL-1.2-or-later, GPL-3.0-or-later, LGPL-2.1-or-later"
 # *-musl builders have issues fetching https://ftp.gnu.org/gnu/mpc/mpc-1.1.0.tar.gz
 distfiles="
- https://fossies.org/linux/misc/gcc-${version}.tar.xz
+ ${GNU_SITE}/gcc/gcc-${version}/gcc-${version}.tar.xz
  https://gmplib.org/download/gmp/gmp-${_gmp_version}.tar.xz
  https://www.mpfr.org/mpfr-${_mpfr_version}/mpfr-${_mpfr_version}.tar.xz
- https://fossies.org/linux/misc/mpc-${_mpc_version}.tar.gz
+ ${GNU_SITE}/mpc/mpc-${_mpc_version}.tar.gz
  http://isl.gforge.inria.fr/isl-${_isl_version}.tar.bz2"
-checksum="64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+checksum="79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  87b565e89a9a684fe4ebeeddb8399dce2599f9c9049854ca8c0dfbdea0e21912
  67874a60826303ee2fb6affc6dc0ddd3e749e9bfcb4c8655e3953d0458a6e16e
  6985c538143c1208dcb1ac42cedad6ff52e267b47e5f970183a3e75125b43c2e
@@ -28,7 +29,7 @@ checksum="64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
 nopie=yes
 lib32disabled=yes
 bootstrap=yes
-replaces="gcc-gcj<7.2.0 gcc-gcj-jdk-compat<7.2.0"
+replaces="gcc-gcj<7.2.0 gcc-gcj-jdk-compat<7.2.0 libmpx>=0 libmpx-devel>=0"
 alternatives="cc:cc:/usr/bin/gcc"
 
 if [ "$CHROOT_READY" ]; then
@@ -123,7 +124,7 @@ case "$XBPS_TARGET_MACHINE" in
 esac
 case "$XBPS_TARGET_MACHINE" in
 	mips*) ;;
-	x86_64*|i686) subpackages+=" libitm libitm-devel libmpx libmpx-devel";;
+	x86_64*|i686) subpackages+=" libitm libitm-devel";;
 	*) subpackages+=" libitm libitm-devel";;
 esac
 if [ "$CROSS_BUILD" ]; then
@@ -247,10 +248,6 @@ do_configure() {
 	case "$XBPS_TARGET_MACHINE" in
 		*-musl) _args+=" --disable-symvers"
 			_args+=" libat_cv_have_ifunc=no"
-			if [ "$XBPS_TARGET_MACHINE" = "i686-musl" ]; then
-				# Remove libmpx because it won't compile
-				rm -rf libmpx
-			fi
 			;;
 	esac
 
@@ -355,14 +352,14 @@ do_install() {
 	# Make version a symlink of major version to make all versions
 	# from the same series work automagically.
 	mv ${DESTDIR}/usr/lib/gcc/${_triplet}/${version} \
-		${DESTDIR}/usr/lib/gcc/${_triplet}/${_majorver}
-	ln -sfr ${DESTDIR}/usr/lib/gcc/${_triplet}/${_majorver} \
+		${DESTDIR}/usr/lib/gcc/${_triplet}/${_minorver}
+	ln -sfr ${DESTDIR}/usr/lib/gcc/${_triplet}/${_minorver} \
 		${DESTDIR}/usr/lib/gcc/${_triplet}/${version}
 
 	# Ditto for c++ headers.
 	mv ${DESTDIR}/usr/include/c++/${version} \
-		${DESTDIR}/usr/include/c++/${_majorver}
-	ln -sfr ${DESTDIR}/usr/include/c++/${_majorver} \
+		${DESTDIR}/usr/include/c++/${_minorver}
+	ln -sfr ${DESTDIR}/usr/include/c++/${_minorver} \
 		${DESTDIR}/usr/include/c++/${version}
 
 	# rpcgen wants /lib/cpp, make a symlink
@@ -398,7 +395,7 @@ do_install() {
 
 gcc-ada_package() {
 	lib32disabled=yes
-	depends="gcc>=${_majorver} libada>=${_majorver}"
+	depends="gcc>=${_minorver} libada>=${_minorver}"
 	short_desc+=" - Ada compiler frontend"
 	pkg_install() {
 		for f in gnat{,bind,chop,clean,find,kr,link,ls,make,name,prep,xref}; do
@@ -406,16 +403,17 @@ gcc-ada_package() {
 		done
 	}
 }
+
 gcc-go_package() {
 	lib32disabled=yes
-	depends="gcc>=${_majorver} libgo-devel>=${_majorver}"
+	depends="gcc>=${_minorver} libgo-devel>=${_minorver}"
 	short_desc+=" - Go compiler frontend"
 	pkg_install() {
 		for f in gccgo ${_triplet}-gccgo; do
 			vmove usr/bin/${f}
 		done
 		for f in buildid cgo go1 test2json vet; do
-			vmove usr/lib/gcc/${_triplet}/${_majorver}/${f}
+			vmove usr/lib/gcc/${_triplet}/${_minorver}/${f}
 		done
 		vmove usr/share/info/gccgo.info
 		touch ${PKGDESTDIR}/usr/share/info/dir
@@ -423,9 +421,10 @@ gcc-go_package() {
 		vmove usr/lib/go
 	}
 }
+
 gcc-go-tools_package() {
 	lib32disabled=yes
-	depends="gcc-go>=${_majorver}"
+	depends="gcc-go>=${_minorver}"
 	short_desc+=" - Go tools"
 	conflicts="go>=0"
 	pkg_install() {
@@ -435,22 +434,23 @@ gcc-go-tools_package() {
 		vmove usr/share/man/man1/gofmt.1
 	}
 }
+
 gcc-fortran_package() {
 	lib32disabled=yes
-	depends="gcc>=${_majorver} libgfortran-devel>=${_majorver}"
+	depends="gcc>=${_minorver} libgfortran-devel>=${_minorver}"
 	short_desc+=" - Fortran compiler frontend"
 	pkg_install() {
 		for f in gfortran ${_triplet}-gfortran; do
 			vmove usr/bin/${f}
 		done
-		vmove usr/lib/gcc/${_triplet}/${_majorver}/f951
-		vmove usr/lib/gcc/${_triplet}/${_majorver}/libcaf_single.a
-		vmove usr/lib/gcc/${_triplet}/${_majorver}/finclude
+		vmove usr/lib/gcc/${_triplet}/${_minorver}/f951
+		vmove usr/lib/gcc/${_triplet}/${_minorver}/libcaf_single.a
+		vmove usr/lib/gcc/${_triplet}/${_minorver}/finclude
 		if [ "$CROSS_BUILD" ]; then
 			# A number of OMP modules are not built when cross
 			# compiling gcc. Copy them from the cross compiler.
 			local src="/usr/lib/gcc/${_triplet}/${version}/finclude"
-			local dst="usr/lib/gcc/${_triplet}/${_majorver}/finclude"
+			local dst="usr/lib/gcc/${_triplet}/${_minorver}/finclude"
 			for f in omp_lib.f90 omp_lib.h omp_lib.mod omp_lib_kinds.mod \
 				openacc.f90 openacc.mod openacc_kinds.mod openacc_lib.h; do
 				vinstall ${src}/${f} 644 ${dst}/
@@ -461,60 +461,67 @@ gcc-fortran_package() {
 		vmove usr/share/man/man1/gfortran.1
 	}
 }
+
 gcc-objc++_package() {
 	lib32disabled=yes
-	depends="gcc-objc>=${_majorver}"
+	depends="gcc-objc>=${_minorver}"
 	short_desc+=" - Objective-C++ support"
 	pkg_install() {
-		vmove usr/lib/gcc/${_triplet}/${_majorver}/cc1objplus
+		vmove usr/lib/gcc/${_triplet}/${_minorver}/cc1objplus
 	}
 }
+
 gcc-objc_package() {
 	lib32disabled=yes
-	depends="gcc>=${_majorver} libobjc>=${_majorver}"
+	depends="gcc>=${_minorver} libobjc>=${_minorver}"
 	short_desc+=" - Objective-C support"
 	pkg_install() {
-		vmove usr/lib/gcc/${_triplet}/${_majorver}/include/objc
-		vmove usr/lib/gcc/${_triplet}/${_majorver}/cc1obj
+		vmove usr/lib/gcc/${_triplet}/${_minorver}/include/objc
+		vmove usr/lib/gcc/${_triplet}/${_minorver}/cc1obj
 	}
 }
+
 libada-devel_package() {
-	depends="libada>=${_majorver}"
+	depends="libada>=${_minorver}"
 	short_desc+=" - Ada library - development files"
 	pkg_install() {
-		vmove usr/lib/gcc/${_triplet}/${_majorver}/adainclude
-		vmove usr/lib/gcc/${_triplet}/${_majorver}/plugin/include/ada
+		vmove usr/lib/gcc/${_triplet}/${_minorver}/adainclude
+		vmove usr/lib/gcc/${_triplet}/${_minorver}/plugin/include/ada
 	}
 }
+
 libada_package() {
 	short_desc+=" - Ada library"
 	pkg_install() {
-		vmove usr/lib/gcc/${_triplet}/${_majorver}/adalib
-		mv -v ${PKGDESTDIR}/usr/lib/gcc/${_triplet}/${_majorver}/adalib/libgna{rl,t}{,-8}.so \
+		vmove usr/lib/gcc/${_triplet}/${_minorver}/adalib
+		mv -v ${PKGDESTDIR}/usr/lib/gcc/${_triplet}/${_minorver}/adalib/libgna{rl,t}{,-${_majorver}}.so \
 			${PKGDESTDIR}/usr/lib
 	}
 }
+
 libgfortran-devel_package() {
-	depends="libgfortran>=${_majorver}"
+	depends="libgfortran>=${_minorver}"
 	short_desc+=" - Fortran library - development files"
 	pkg_install() {
+		vmove usr/lib/libgfortran.spec
 		vmove usr/lib/libgfortran.a
 		# This does not seem to exist anymore?
-		if [ -f usr/lib/gcc/${_triplet}/${_majorver}/libgfortranbegin.a ]; then
-			vmove usr/lib/gcc/${_triplet}/${_majorver}/libgfortranbegin.a
+		if [ -f usr/lib/gcc/${_triplet}/${_minorver}/libgfortranbegin.a ]; then
+			vmove usr/lib/gcc/${_triplet}/${_minorver}/libgfortranbegin.a
 		fi
 	}
 }
+
 libgfortran_package() {
 	short_desc+=" - Fortran library"
 	pkg_install() {
 		vmove "usr/lib/libgfortran.so*"
-		vmove usr/lib/libgfortran.spec
 		vlicense ${wrksrc}/COPYING.RUNTIME RUNTIME.LIBRARY.EXCEPTION
 	}
 }
+
 libgo-devel_package() {
-	depends="libgo>=${_majorver}"
+	depends="libgo>=${_minorver}"
 	short_desc+=" - Go library - development files"
 	pkg_install() {
 		vmove usr/lib/libgo.a
@@ -523,6 +530,7 @@ libgo-devel_package() {
 		vmove usr/lib/libgo.so
 	}
 }
+
 libgo_package() {
 	short_desc+=" - Go library"
 	pkg_install() {
@@ -530,13 +538,15 @@ libgo_package() {
 		vlicense ${wrksrc}/COPYING.RUNTIME RUNTIME.LIBRARY.EXCEPTION
 	}
 }
+
 libobjc-devel_package() {
-	depends="libobjc>=${_majorver}"
+	depends="libobjc>=${_minorver}"
 	short_desc+=" - Objective-C library - development files"
 	pkg_install() {
 		vmove "usr/lib/libobjc.*a"
 	}
 }
+
 libobjc_package() {
 	short_desc+=" - Objective-C library"
 	pkg_install() {
@@ -544,16 +554,18 @@ libobjc_package() {
 		vlicense ${wrksrc}/COPYING.RUNTIME RUNTIME.LIBRARY.EXCEPTION
 	}
 }
+
 libquadmath-devel_package() {
-	depends="libquadmath>=${_majorver}"
+	depends="libquadmath>=${_minorver}"
 	short_desc+=" - quadmath library - development files"
 	pkg_install() {
-		vmove "usr/lib/gcc/${_triplet}/${_majorver}/include/quadmath*"
+		vmove "usr/lib/gcc/${_triplet}/${_minorver}/include/quadmath*"
 		vmove "usr/lib/libquadmath*.a"
 		vmove usr/share/info/libquadmath.info
 		touch ${PKGDESTDIR}/usr/share/info/dir
 	}
 }
+
 libquadmath_package() {
 	short_desc+=" - quadmath library"
 	pkg_install() {
@@ -561,34 +573,39 @@ libquadmath_package() {
 		vlicense ${wrksrc}/COPYING.RUNTIME RUNTIME.LIBRARY.EXCEPTION
 	}
 }
+
 libvtv-devel_package() {
-	depends="libvtv>=${_majorver}"
+	depends="libvtv>=${_minorver}"
 	short_desc+=" - Vtable Verification Runtime Library - development files"
 	pkg_install() {
 		vmove usr/lib/libvtv.a
 		vmove usr/lib/libvtv.so
 	}
 }
+
 libvtv_package() {
 	short_desc+=" - Vtable Verification Runtime Library"
 	pkg_install() {
 		vmove usr/lib/libvtv.so.*
 	}
 }
+
 libatomic-devel_package() {
-	depends="libatomic>=${_majorver}"
+	depends="libatomic>=${_minorver}"
 	short_desc+=" - Atomics library - development files"
 	pkg_install() {
 		vmove usr/lib/libatomic.a
 		vmove usr/lib/libatomic.so
 	}
 }
+
 libatomic_package() {
 	short_desc+=" - Atomics library"
 	pkg_install() {
 		vmove usr/lib/libatomic.so.*
 	}
 }
+
 libgcc_package() {
 	short_desc+=" - GCC library"
 	replaces="libgcj<7.2.0 libcilkrts<8.2.0"
@@ -598,20 +615,22 @@ libgcc_package() {
 		vlicense ${wrksrc}/COPYING.RUNTIME RUNTIME.LIBRARY.EXCEPTION
 	}
 }
+
 libgcc-devel_package() {
 	depends="libgcc-${version}_${revision}"
 	short_desc+=" - GCC library - development files"
 	replaces="libgcj-devel<7.2.0 libcilkrts-devel<8.2.0"
 	pkg_install() {
-		vmove "usr/lib/gcc/${_triplet}/${_majorver}/*.o"
-		vmove "usr/lib/gcc/${_triplet}/${_majorver}/*.a"
+		vmove "usr/lib/gcc/${_triplet}/${_minorver}/*.o"
+		vmove "usr/lib/gcc/${_triplet}/${_minorver}/*.a"
 	}
 }
+
 libgomp-devel_package() {
-	depends="libgomp>=${_majorver}"
+	depends="libgomp>=${_minorver}"
 	short_desc+=" - OpenMP v4.0 library - development files"
 	pkg_install() {
-		vmove usr/lib/gcc/${_triplet}/${_majorver}/include/omp.h
+		vmove usr/lib/gcc/${_triplet}/${_minorver}/include/omp.h
 		vmove usr/lib/libgomp.so
 		vmove usr/lib/libgomp.a
 		vmove usr/lib/libgomp.spec
@@ -619,6 +638,7 @@ libgomp-devel_package() {
 		touch ${PKGDESTDIR}/usr/share/info/dir
 	}
 }
+
 libgomp_package() {
 	short_desc+=" - OpenMP v4.0 library"
 	pkg_install() {
@@ -626,8 +646,9 @@ libgomp_package() {
 		vlicense ${wrksrc}/COPYING.RUNTIME RUNTIME.LIBRARY.EXCEPTION
 	}
 }
+
 libitm-devel_package() {
-	depends="libitm>=${_majorver}"
+	depends="libitm>=${_minorver}"
 	short_desc+=" - Transactional Memory library - development files"
 	replaces="libitm<4.9.0_1"
 	pkg_install() {
@@ -638,31 +659,16 @@ libitm-devel_package() {
 		touch ${PKGDESTDIR}/usr/share/info/dir
 	}
 }
+
 libitm_package() {
 	short_desc+=" - Transactional Memory library"
 	pkg_install() {
 		vmove "usr/lib/libitm.so.*"
 	}
 }
-libmpx-devel_package() {
-	depends="libmpx>=${_majorver}"
-	short_desc+=" - Intel MPX support - development files"
-	pkg_install() {
-		vmove usr/lib/libmpx.a
-		vmove usr/lib/libmpx.so
-		vmove usr/lib/libmpxwrappers.so
-		vmove usr/lib/libmpxwrappers.a
-	}
-}
-libmpx_package() {
-	short_desc+=" - Intel MPX support"
-	pkg_install() {
-		vmove usr/lib/libmpx.so.*
-		vmove usr/lib/libmpxwrappers.so.*
-	}
-}
+
 libsanitizer-devel_package() {
-	depends="libsanitizer>=${_majorver}"
+	depends="libsanitizer>=${_minorver}"
 	short_desc+=" - Sanitizer libraries - development files"
 	pkg_install() {
 		vmove "usr/lib/lib*san*.so"
@@ -671,20 +677,23 @@ libsanitizer-devel_package() {
 		vmove usr/lib/libsanitizer.spec
 	}
 }
+
 libsanitizer_package() {
 	short_desc+=" - Sanitizer libraries"
 	pkg_install() {
 		vmove "usr/lib/lib*san*.so.*"
 	}
 }
+
 libssp-devel_package() {
-	depends="libssp>=${_majorver}"
+	depends="libssp>=${_minorver}"
 	short_desc+=" - SSP (StackSmashingProtection) library - development files"
 	pkg_install() {
 		vmove "usr/lib/libssp*.a"
-		vmove usr/lib/gcc/${_triplet}/${_majorver}/include/ssp
+		vmove usr/lib/gcc/${_triplet}/${_minorver}/include/ssp
 	}
 }
+
 libssp_package() {
 	short_desc+=" - SSP (StackSmashingProtection) library"
 	pkg_install() {
@@ -692,8 +701,9 @@ libssp_package() {
 		vlicense ${wrksrc}/COPYING.RUNTIME RUNTIME.LIBRARY.EXCEPTION
 	}
 }
+
 libstdc++-devel_package() {
-	depends="libstdc++>=${_majorver}"
+	depends="libstdc++>=${_minorver}"
 	short_desc+=" - Standard C++ Library - development files"
 	pkg_install() {
 		vmove "usr/lib/libstdc++.*a"
@@ -701,6 +711,7 @@ libstdc++-devel_package() {
 		vmove usr/include/c++
 	}
 }
+
 libstdc++_package() {
 	short_desc+=" - Standard C++ Library"
 	pkg_install() {
diff --git a/srcpkgs/libmpx b/srcpkgs/libmpx
deleted file mode 120000
index b08d5af5795..00000000000
--- a/srcpkgs/libmpx
+++ /dev/null
@@ -1 +0,0 @@
-gcc
\ No newline at end of file
diff --git a/srcpkgs/libmpx-devel b/srcpkgs/libmpx-devel
deleted file mode 120000
index b08d5af5795..00000000000
--- a/srcpkgs/libmpx-devel
+++ /dev/null
@@ -1 +0,0 @@
-gcc
\ No newline at end of file

From fda99daf23c4bfa311f2fa35e1e71d23e05cca2e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 11:01:09 +0200
Subject: [PATCH 02/32] glibc: explicitly specify header location

[ci skip]
---
 srcpkgs/glibc/template | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/glibc/template b/srcpkgs/glibc/template
index 90ec126ffab..c84d29888c8 100644
--- a/srcpkgs/glibc/template
+++ b/srcpkgs/glibc/template
@@ -107,6 +107,7 @@ do_configure() {
 		--without-selinux --without-cvs --without-gd \
 		--disable-lock-elision --enable-obsolete-nsl \
 		--enable-stack-protector=strong \
+		--with-headers=${XBPS_CROSS_BASE}/usr/include \
 		--disable-werror \
 		libc_cv_rootsbindir=/usr/bin \
 		libc_cv_rtlddir=${_libdir} libc_cv_slibdir=${_libdir}

From a179897c33d651d2377ea7ce393870953e9e8140 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 11:02:01 +0200
Subject: [PATCH 03/32] libmpc: use ${GNU_SITE}

[ci skip]
---
 srcpkgs/libmpc/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/libmpc/template b/srcpkgs/libmpc/template
index c427e036468..c7fa7200b10 100644
--- a/srcpkgs/libmpc/template
+++ b/srcpkgs/libmpc/template
@@ -1,4 +1,4 @@
-# Template build file for 'libmpc'
+# Template file for 'libmpc'
 pkgname=libmpc
 version=1.1.0
 revision=2
@@ -9,9 +9,9 @@ configure_args="EGREP=egrep"
 makedepends="gmp-devel mpfr-devel"
 short_desc="C library for the arithmetic of complex numbers"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
+license="LGPL-3.0-or-later"
 homepage="http://www.multiprecision.org"
-license="LGPL-3"
-distfiles="https://ftp.gnu.org/gnu/mpc/mpc-${version}.tar.gz"
+distfiles="${GNU_SITE}/mpc/mpc-${version}.tar.gz"
 checksum=6985c538143c1208dcb1ac42cedad6ff52e267b47e5f970183a3e75125b43c2e
 
 if [ -z "$CHROOT_READY" ]; then

From 76f8db5380ed10b556bb5bf2fb8a11fe3b3e00fb Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 11:05:10 +0200
Subject: [PATCH 04/32] chroot-distcc: fix build with gcc-9.1.0 bootstrap

[ci skip]
---
 srcpkgs/chroot-distcc/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/chroot-distcc/template b/srcpkgs/chroot-distcc/template
index ab64e5c44fe..662946af82f 100644
--- a/srcpkgs/chroot-distcc/template
+++ b/srcpkgs/chroot-distcc/template
@@ -6,7 +6,7 @@ wrksrc=distcc
 bootstrap=yes
 build_style=gnu-configure
 configure_args="--with-included-popt --without-avahi --without-gnome
- --without-gtk --disable-Werror --disable-pump-mode"
+ --without-gtk --disable-Werror --disable-pump-mode --without-libiberty"
 make_install_target=install-programs
 makedepends="binutils-devel"
 short_desc="Distributed compilation for faster C/C++ builds -- for xbps-src use"

From bcdd42a9bc67830702aa517f3ed87240eb087aa3 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 22:34:00 +0200
Subject: [PATCH 05/32] pkg-config: fix bootstrap build w/ gcc-9.1.0

[ci skip]
---
 srcpkgs/pkg-config/template | 1 +
 1 file changed, 1 insertion(+)

diff --git a/srcpkgs/pkg-config/template b/srcpkgs/pkg-config/template
index b8587ed9f51..68a910e6d1e 100644
--- a/srcpkgs/pkg-config/template
+++ b/srcpkgs/pkg-config/template
@@ -21,6 +21,7 @@ alternatives="
 case "$XBPS_TARGET_MACHINE" in
 	mips*|ppc|ppc-musl) configure_args+=" glib_cv_stack_grows=no glib_cv_uscore=no" ;;
 esac
+CFLAGS="-Wno-missing-include-dirs"
 
 post_install() {
 	# Add pkg-config suffix to files that are on alternatives

From e58094acb7472096c06b1e731f0280ec22942bec Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 20:46:19 +0200
Subject: [PATCH 06/32] musl: add -fpie to build getent, getconf, and iconv

[ci skip]
---
 srcpkgs/musl/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/musl/template b/srcpkgs/musl/template
index 2a101f922da..4a312725d60 100644
--- a/srcpkgs/musl/template
+++ b/srcpkgs/musl/template
@@ -18,9 +18,9 @@ nostrip_files="libc.so"
 shlib_provides="libc.so"
 
 post_build() {
-	$CC $CFLAGS $LDFLAGS ${FILESDIR}/getent.c -o getent
-	$CC $CFLAGS $LDFLAGS ${FILESDIR}/getconf.c -o getconf
-	$CC $CFLAGS $LDFLAGS ${FILESDIR}/iconv.c -o iconv
+	$CC $CFLAGS $LDFLAGS -fpie ${FILESDIR}/getent.c -o getent
+	$CC $CFLAGS $LDFLAGS -fpie ${FILESDIR}/getconf.c -o getconf
+	$CC $CFLAGS $LDFLAGS -fpie ${FILESDIR}/iconv.c -o iconv
 }
 do_install() {
 	# Move everything to /usr.

From 6c02e93350c62f1fc2a5bc9a1951bd2d70162680 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 16:51:00 +0200
Subject: [PATCH 07/32] cross-vpkg-dummy: update for gcc-9.1.0

[ci skip]
---
 srcpkgs/cross-vpkg-dummy/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/cross-vpkg-dummy/template b/srcpkgs/cross-vpkg-dummy/template
index 69a111628ad..36eb905d71c 100644
--- a/srcpkgs/cross-vpkg-dummy/template
+++ b/srcpkgs/cross-vpkg-dummy/template
@@ -1,6 +1,6 @@
 # Template file for 'cross-vpkg-dummy'
 pkgname=cross-vpkg-dummy
-version=0.30
+version=0.31
 revision=1
 build_style=meta
 short_desc="Dummy meta-pkg for cross building packages with xbps-src"
@@ -42,8 +42,8 @@ conflicts="
 	gcc-ada>=0"
 shlib_provides="
 	libgcc_s.so.1
-	libgnat-8.so
-	libgnarl-8.so
+	libgnat-9.so
+	libgnarl-9.so
 	libgomp.so.1
 	libstdc++.so.6
 	libgfortran.so.5"

From ad983bd743c63a131d3ed6d8651277abd3614a86 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 16:48:46 +0200
Subject: [PATCH 08/32] gcc-multilib: update to 9.1.0

[ci skip]
---
 srcpkgs/gcc-multilib/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/gcc-multilib/template b/srcpkgs/gcc-multilib/template
index 4233faeca7c..1411ed4eea8 100644
--- a/srcpkgs/gcc-multilib/template
+++ b/srcpkgs/gcc-multilib/template
@@ -1,7 +1,7 @@
 # Template build file for 'gcc-multilib'
 archs="x86_64"
 _triplet="x86_64-unknown-linux-gnu"
-_majorver=8.3
+_majorver=9.1
 
 pkgname=gcc-multilib
 version=${_majorver}.0
@@ -12,7 +12,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="http://gcc.gnu.org"
 license="GFDL-1.2, GPL-3, LGPL-2.1"
 distfiles="${GNU_SITE}/gcc/gcc-${version}/gcc-${version}.tar.xz"
-checksum=64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+checksum=79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
 
 hostmakedepends="perl flex zip unzip"
 makedepends="zlib-devel libmpc-devel isl15-devel libfl-devel
@@ -24,12 +24,12 @@ depends="
  libssp-devel-32bit>=${_majorver}
  libgomp-devel-32bit>=${_majorver}
  libitm-devel-32bit>=${_majorver}
- libmpx-devel-32bit>=${_majorver}
  libsanitizer-devel-32bit>=${_majorver}
  libatomic-devel-32bit>=${_majorver}
  libvtv-devel-32bit>=${_majorver}
  zlib-32bit
  glibc-devel-32bit"
+replaces="libmpx-devel-32bit>=0"
 
 do_configure() {
 	ldconfig &>/dev/null

From bc8d3671f4553b6b8f8fba07b2212e355131ff47 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 17:19:19 +0200
Subject: [PATCH 09/32] cross-aarch64-linux-gnu: update for gcc-9.1.0

[ci skip]
---
 .../cross-aarch64-linux-gnu/files/non-nullness.patch  |  1 +
 srcpkgs/cross-aarch64-linux-gnu/template              | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-aarch64-linux-gnu/files/non-nullness.patch

diff --git a/srcpkgs/cross-aarch64-linux-gnu/files/non-nullness.patch b/srcpkgs/cross-aarch64-linux-gnu/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-aarch64-linux-gnu/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-aarch64-linux-gnu/template b/srcpkgs/cross-aarch64-linux-gnu/template
index 370d1e17dfe..e4f1544040e 100644
--- a/srcpkgs/cross-aarch64-linux-gnu/template
+++ b/srcpkgs/cross-aarch64-linux-gnu/template
@@ -1,7 +1,7 @@
 # Template build file for 'cross-aarch64-linux-gnu'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _glibc_version=2.29
 _linux_version=4.19
 
@@ -10,8 +10,8 @@ _archflags="-march=armv8-a"
 _sysroot="/usr/${_triplet}"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=2
+version=0.31
+revision=1
 short_desc="GNU Cross toolchain for the ${_triplet} LE target (binutils/gcc/glibc)"
 maintainer="Leah Neukirchen <leah@vuxu.org>"
 homepage="https://www.voidlinux.org/"
@@ -22,7 +22,7 @@ distfiles="
  ${GNU_SITE}/glibc/glibc-${_glibc_version}.tar.xz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  f3eeb8d57e25ca9fc13c2af3dae97754f9f643bc69229546828e3a240e2af04b
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -30,7 +30,7 @@ lib32disabled=yes
 nocross=yes
 nopie=yes
 create_wrksrc=yes
-hostmakedepends="flex gcc-ada libada-devel perl python3"
+hostmakedepends="flex perl python3"
 makedepends="isl15-devel libmpc-devel zlib-devel"
 depends="${pkgname}-libc-${version}_${revision}"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
@@ -94,6 +94,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 
 	msg_normal "Building cross gcc bootstrap\n"
 

From 0f58e5c4c1441553fe0ef6905acd25aa35003b9e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 18:37:02 +0200
Subject: [PATCH 10/32] cross-aarch64-linux-musl: update for gcc-9.1.0

[ci skip]
---
 .../cross-aarch64-linux-musl/files/non-nullness.patch |  1 +
 srcpkgs/cross-aarch64-linux-musl/template             | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-aarch64-linux-musl/files/non-nullness.patch

diff --git a/srcpkgs/cross-aarch64-linux-musl/files/non-nullness.patch b/srcpkgs/cross-aarch64-linux-musl/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-aarch64-linux-musl/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-aarch64-linux-musl/template b/srcpkgs/cross-aarch64-linux-musl/template
index d5e56ceb190..6e234194955 100644
--- a/srcpkgs/cross-aarch64-linux-musl/template
+++ b/srcpkgs/cross-aarch64-linux-musl/template
@@ -1,7 +1,7 @@
 # Template build file for 'cross-aarch64-linux-musl'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _musl_version=1.1.22
 _linux_version=4.19
 
@@ -10,8 +10,8 @@ _archflags="-march=armv8-a"
 _sysroot="/usr/${_triplet}"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=2
+version=0.31
+revision=1
 short_desc="Cross toolchain for ARM64 LE target (musl)"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="https://www.voidlinux.org/"
@@ -22,7 +22,7 @@ distfiles="
  http://www.musl-libc.org/releases/musl-${_musl_version}.tar.gz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  8b0941a48d2f980fd7036cfbd24aa1d414f03d9a0652ecbd5ec5c7ff1bee29e3
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -33,7 +33,7 @@ nodebug=yes
 create_wrksrc=yes
 
 archs="x86_64* ppc64le"
-hostmakedepends="perl flex gcc-ada libada-devel"
+hostmakedepends="flex perl python3"
 makedepends="zlib-devel gmp-devel mpfr-devel libmpc-devel isl15-devel"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
  libgnarl_pic.a libgnarl.a libgnat_pic.a libgnat.a"
@@ -81,6 +81,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 	_apply_patch -p0 ${FILESDIR}/musl-ada.patch
 	_apply_patch -p1 ${FILESDIR}/libgnarl-musl.patch
 

From 77c16200da866f5da2223597ef2fc5e961d40334 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 17:29:06 +0200
Subject: [PATCH 11/32] cross-arm-linux-gnueabi: update for gcc-9.1.0

[ci skip]
---
 .../cross-arm-linux-gnueabi/files/non-nullness.patch  |  1 +
 srcpkgs/cross-arm-linux-gnueabi/template              | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-arm-linux-gnueabi/files/non-nullness.patch

diff --git a/srcpkgs/cross-arm-linux-gnueabi/files/non-nullness.patch b/srcpkgs/cross-arm-linux-gnueabi/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-arm-linux-gnueabi/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-arm-linux-gnueabi/template b/srcpkgs/cross-arm-linux-gnueabi/template
index c8b55b62693..32355ba876b 100644
--- a/srcpkgs/cross-arm-linux-gnueabi/template
+++ b/srcpkgs/cross-arm-linux-gnueabi/template
@@ -1,7 +1,7 @@
 # Template build file for 'cross-arm-linux-gnueabi'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _glibc_version=2.29
 _linux_version=4.19
 
@@ -11,8 +11,8 @@ _archflags="-march=armv5te -msoft-float -mfloat-abi=soft"
 _sysroot="/usr/${_triplet}"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=2
+version=0.31
+revision=1
 short_desc="GNU Cross toolchain for the ${_triplet} LE target (binutils/gcc/glibc)"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="https://www.voidlinux.org/"
@@ -23,7 +23,7 @@ distfiles="
  ${GNU_SITE}/glibc/glibc-${_glibc_version}.tar.xz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  f3eeb8d57e25ca9fc13c2af3dae97754f9f643bc69229546828e3a240e2af04b
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -33,7 +33,7 @@ nopie=yes
 nodebug=yes
 create_wrksrc=yes
 
-hostmakedepends="flex gcc-ada libada-devel perl python3"
+hostmakedepends="flex perl python3"
 makedepends="isl15-devel libmpc-devel zlib-devel"
 depends="${pkgname}-libc-${version}_${revision}"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
@@ -97,6 +97,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 
 	msg_normal "Building cross gcc bootstrap\n"
 

From 6a5f6a87af95a8a59338e3acb4fa56d189be456e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 17:29:14 +0200
Subject: [PATCH 12/32] cross-arm-linux-gnueabihf: update for gcc-9.1.0

[ci skip]
---
 .../files/non-nullness.patch                          |  1 +
 srcpkgs/cross-arm-linux-gnueabihf/template            | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-arm-linux-gnueabihf/files/non-nullness.patch

diff --git a/srcpkgs/cross-arm-linux-gnueabihf/files/non-nullness.patch b/srcpkgs/cross-arm-linux-gnueabihf/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-arm-linux-gnueabihf/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-arm-linux-gnueabihf/template b/srcpkgs/cross-arm-linux-gnueabihf/template
index c235071734d..28a6d4eaede 100644
--- a/srcpkgs/cross-arm-linux-gnueabihf/template
+++ b/srcpkgs/cross-arm-linux-gnueabihf/template
@@ -1,7 +1,7 @@
 # Template build file for 'cross-arm-linux-gnueabihf'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _glibc_version=2.29
 _linux_version=4.19
 
@@ -11,8 +11,8 @@ _archflags="-march=armv6 -mfpu=vfp -mfloat-abi=hard"
 _sysroot="/usr/${_triplet}"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=2
+version=0.31
+revision=1
 short_desc="GNU Cross toolchain for the ${_triplet} LE target (binutils/gcc/glibc)"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="https://www.voidlinux.org/"
@@ -23,7 +23,7 @@ distfiles="
  ${GNU_SITE}/glibc/glibc-${_glibc_version}.tar.xz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  f3eeb8d57e25ca9fc13c2af3dae97754f9f643bc69229546828e3a240e2af04b
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -33,7 +33,7 @@ nopie=yes
 nodebug=yes
 create_wrksrc=yes
 
-hostmakedepends="flex gcc-ada libada-devel perl python3"
+hostmakedepends="flex perl python3"
 makedepends="isl15-devel libmpc-devel zlib-devel"
 depends="${pkgname}-libc-${version}_${revision}"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
@@ -98,6 +98,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 
 	msg_normal "Building cross gcc bootstrap\n"
 

From 665c20ec849e9196b146034b0f9e82608131cec8 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 18:57:32 +0200
Subject: [PATCH 13/32] cross-arm-linux-musleabi: update for gcc-9.1.0

[ci skip]
---
 .../cross-arm-linux-musleabi/files/non-nullness.patch |  1 +
 srcpkgs/cross-arm-linux-musleabi/template             | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-arm-linux-musleabi/files/non-nullness.patch

diff --git a/srcpkgs/cross-arm-linux-musleabi/files/non-nullness.patch b/srcpkgs/cross-arm-linux-musleabi/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-arm-linux-musleabi/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-arm-linux-musleabi/template b/srcpkgs/cross-arm-linux-musleabi/template
index 506e5b639c1..f0596daf888 100644
--- a/srcpkgs/cross-arm-linux-musleabi/template
+++ b/srcpkgs/cross-arm-linux-musleabi/template
@@ -1,7 +1,7 @@
 # Template build file for 'cross-arm-linux-musleabi'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _musl_version=1.1.22
 _linux_version=4.19
 
@@ -11,8 +11,8 @@ _archflags="-march=armv5te -msoft-float -mfloat-abi=soft"
 _sysroot="/usr/${_triplet}"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=2
+version=0.31
+revision=1
 short_desc="Cross toolchain for ARMv5 TE target (musl)"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="https://www.voidlinux.org/"
@@ -23,7 +23,7 @@ distfiles="
  http://www.musl-libc.org/releases/musl-${_musl_version}.tar.gz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  8b0941a48d2f980fd7036cfbd24aa1d414f03d9a0652ecbd5ec5c7ff1bee29e3
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -33,7 +33,7 @@ nopie=yes
 nodebug=yes
 create_wrksrc=yes
 
-hostmakedepends="perl flex gcc-ada libada-devel"
+hostmakedepends="flex perl python3"
 makedepends="zlib-devel gmp-devel mpfr-devel libmpc-devel isl15-devel"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
  libgnarl_pic.a libgnarl.a libgnat_pic.a libgnat.a"
@@ -84,6 +84,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 	_apply_patch -p0 ${FILESDIR}/musl-ada.patch
 	_apply_patch -p1 ${FILESDIR}/libgnarl-musl.patch
 

From e1e958667001b431d439706857291f4b1a3e720c Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 18:57:39 +0200
Subject: [PATCH 14/32] cross-arm-linux-musleabihf: update for gcc-9.1.0

[ci skip]
---
 .../files/non-nullness.patch                          |  1 +
 srcpkgs/cross-arm-linux-musleabihf/template           | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-arm-linux-musleabihf/files/non-nullness.patch

diff --git a/srcpkgs/cross-arm-linux-musleabihf/files/non-nullness.patch b/srcpkgs/cross-arm-linux-musleabihf/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-arm-linux-musleabihf/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-arm-linux-musleabihf/template b/srcpkgs/cross-arm-linux-musleabihf/template
index fddddae625c..d1b050bfce6 100644
--- a/srcpkgs/cross-arm-linux-musleabihf/template
+++ b/srcpkgs/cross-arm-linux-musleabihf/template
@@ -1,7 +1,7 @@
 # Template build file for 'cross-arm-linux-musleabihf'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _musl_version=1.1.22
 _linux_version=4.19
 
@@ -11,8 +11,8 @@ _archflags="-march=armv6 -mfpu=vfp -mfloat-abi=hard"
 _sysroot="/usr/${_triplet}"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=2
+version=0.31
+revision=1
 short_desc="Cross toolchain for ARMv6 LE Hard Float target (musl)"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="https://www.voidlinux.org/"
@@ -23,7 +23,7 @@ distfiles="
  http://www.musl-libc.org/releases/musl-${_musl_version}.tar.gz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  8b0941a48d2f980fd7036cfbd24aa1d414f03d9a0652ecbd5ec5c7ff1bee29e3
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -33,7 +33,7 @@ nopie=yes
 nodebug=yes
 create_wrksrc=yes
 
-hostmakedepends="perl flex gcc-ada libada-devel"
+hostmakedepends="flex perl python3"
 makedepends="zlib-devel gmp-devel mpfr-devel libmpc-devel isl15-devel"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
  libgnarl_pic.a libgnarl.a libgnat_pic.a libgnat.a"
@@ -84,6 +84,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 	_apply_patch -p0 ${FILESDIR}/musl-ada.patch
 	_apply_patch -p1 ${FILESDIR}/libgnarl-musl.patch
 

From a583cd43f4947ebee127d9a5f237776262732e22 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Thu, 16 May 2019 14:17:30 +0200
Subject: [PATCH 15/32] cross-arm-none-eabi-gcc: update for gcc-9.1.0

[ci skip]
---
 srcpkgs/cross-arm-none-eabi-gcc/template      |   4 +-
 .../enable-with-multilib-list-for-arm.patch   | 215 ------------------
 .../files/fix-cxxflags-passing.patch          |   1 -
 3 files changed, 2 insertions(+), 218 deletions(-)
 delete mode 100644 srcpkgs/cross-arm-none-eabi/files/enable-with-multilib-list-for-arm.patch
 delete mode 120000 srcpkgs/cross-arm-none-eabi/files/fix-cxxflags-passing.patch

diff --git a/srcpkgs/cross-arm-none-eabi-gcc/template b/srcpkgs/cross-arm-none-eabi-gcc/template
index 7c26e9fdd66..0e636b75773 100644
--- a/srcpkgs/cross-arm-none-eabi-gcc/template
+++ b/srcpkgs/cross-arm-none-eabi-gcc/template
@@ -2,7 +2,7 @@
 _triplet=arm-none-eabi
 _pkgname=gcc
 pkgname=cross-${_triplet}-${_pkgname}
-version=8.3.0
+version=9.1.0
 revision=1
 wrksrc="${_pkgname}-${version}"
 build_style=gnu-configure
@@ -58,7 +58,7 @@ maintainer="Ivan Sokolov <ivan-p-sokolov@ya.ru>"
 license="GFDL-1.2-or-later, GPL-3.0-or-later, LGPL-2.1-or-later"
 homepage="https://gcc.gnu.org"
 distfiles="${GNU_SITE}/${_pkgname}/${_pkgname}-${version}/${_pkgname}-${version}.tar.xz"
-checksum=64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+checksum=79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
 alternatives="arm-none-eabi:/usr/bin/arm-none-eabi-cc:/usr/bin/arm-none-eabi-gcc"
 nocross=yes
 nopie=yes
diff --git a/srcpkgs/cross-arm-none-eabi/files/enable-with-multilib-list-for-arm.patch b/srcpkgs/cross-arm-none-eabi/files/enable-with-multilib-list-for-arm.patch
deleted file mode 100644
index 8825c30ca1b..00000000000
--- a/srcpkgs/cross-arm-none-eabi/files/enable-with-multilib-list-for-arm.patch
+++ /dev/null
@@ -1,215 +0,0 @@
-commit 71587241301d28b68bbe2f41c5eb2856053c750c
-Author: Anatol Pomozov <anatol.pomozov@gmail.com>
-Date:   Tue May 9 21:19:27 2017 -0700
-
-    ARM patch https://gcc.gnu.org/ml/gcc-patches/2012-05/msg00083/enable-with-multilib-list-for-arm.patch
-
-diff --git a/gcc/Makefile.in b/gcc/Makefile.in
-index f675e073ecc..cced5329b47 100644
---- a/gcc/Makefile.in
-+++ b/gcc/Makefile.in
-@@ -558,6 +558,7 @@ lang_opt_files=@lang_opt_files@ $(srcdir)/c-family/c.opt $(srcdir)/common.opt
- lang_specs_files=@lang_specs_files@
- lang_tree_files=@lang_tree_files@
- target_cpu_default=@target_cpu_default@
-+with_multilib_list=@with_multilib_list@
- OBJC_BOEHM_GC=@objc_boehm_gc@
- extra_modes_file=@extra_modes_file@
- extra_opt_files=@extra_opt_files@
-diff --git a/gcc/config.gcc b/gcc/config.gcc
-index b8bb4d65825..713e35b62af 100644
---- a/gcc/config.gcc
-+++ b/gcc/config.gcc
-@@ -1140,7 +1140,7 @@ arm*-*-eabi* | arm*-*-symbianelf* | arm*-*-rtems* | arm*-*-fuchsia*)
- 	case ${target} in
- 	arm*-*-eabi*)
- 	  tm_file="$tm_file newlib-stdint.h"
--	  tmake_file="${tmake_file} arm/t-bpabi"
-+	  tmake_file="${tmake_file} arm/t-bpabi arm/t-mlibs"
- 	  use_gcc_stdint=wrap
- 	  ;;
- 	arm*-*-fuchsia*)
-@@ -3787,56 +3787,6 @@ case "${target}" in
- 			echo "Switch \"--with-tune\" may not be used with switch \"--with-cpu\""  1>&2
- 			exit 1
- 		fi
--
--		# Add extra multilibs
--		if test "x$with_multilib_list" != x; then
--			arm_multilibs=`echo $with_multilib_list | sed -e 's/,/ /g'`
--			case ${arm_multilibs} in
--			aprofile)
--				# Note that arm/t-aprofile is a
--				# stand-alone make file fragment to be
--				# used only with itself.  We do not
--				# specifically use the
--				# TM_MULTILIB_OPTION framework because
--				# this shorthand is more
--				# pragmatic.
--				tmake_profile_file="arm/t-aprofile"
--				;;
--			rmprofile)
--				# Note that arm/t-rmprofile is a
--				# stand-alone make file fragment to be
--				# used only with itself.  We do not
--				# specifically use the
--				# TM_MULTILIB_OPTION framework because
--				# this shorthand is more
--				# pragmatic.
--				tmake_profile_file="arm/t-rmprofile"
--				;;
--			default)
--				;;
--			*)
--				echo "Error: --with-multilib-list=${with_multilib_list} not supported." 1>&2
--				exit 1
--				;;
--			esac
--
--			if test "x${tmake_profile_file}" != x ; then
--				# arm/t-aprofile and arm/t-rmprofile are only
--				# designed to work without any with-cpu,
--				# with-arch, with-mode, with-fpu or with-float
--				# options.
--				if test "x$with_arch" != x \
--				    || test "x$with_cpu" != x \
--				    || test "x$with_float" != x \
--				    || test "x$with_fpu" != x \
--				    || test "x$with_mode" != x ; then
--				    echo "Error: You cannot use any of --with-arch/cpu/fpu/float/mode with --with-multilib-list=${with_multilib_list}" 1>&2
--				    exit 1
--				fi
--
--				tmake_file="${tmake_file} ${tmake_profile_file}"
--			fi
--		fi
- 		;;
- 
- 	fr*-*-*linux*)
-diff --git a/gcc/config/arm/t-mlibs b/gcc/config/arm/t-mlibs
-new file mode 100644
-index 00000000000..5720cf7503d
---- /dev/null
-+++ b/gcc/config/arm/t-mlibs
-@@ -0,0 +1,89 @@
-+# A set of predefined MULTILIB which can be used for different ARM targets.
-+# Via the configure option --with-multilib-list, user can customize the
-+# final MULTILIB implementation.
-+
-+comma := ,
-+space :=
-+space +=
-+
-+MULTILIB_OPTIONS   = mthumb/marm
-+MULTILIB_DIRNAMES  = thumb arm
-+MULTILIB_OPTIONS  += march=armv6s-m/march=armv7-m/march=armv7e-m/march=armv7
-+MULTILIB_DIRNAMES += armv6-m armv7-m armv7e-m armv7-ar
-+MULTILIB_OPTIONS  += mfloat-abi=softfp/mfloat-abi=hard
-+MULTILIB_DIRNAMES += softfp fpu
-+MULTILIB_OPTIONS  += mfpu=fpv4-sp-d16/mfpu=vfpv3-d16
-+MULTILIB_DIRNAMES += fpv4-sp-d16 vfpv3-d16
-+
-+MULTILIB_MATCHES   = march?armv6s-m=mcpu?cortex-m0
-+MULTILIB_MATCHES  += march?armv6s-m=mcpu?cortex-m0plus
-+MULTILIB_MATCHES  += march?armv6s-m=mcpu?cortex-m1
-+MULTILIB_MATCHES  += march?armv6s-m=march?armv6-m
-+MULTILIB_MATCHES  += march?armv7-m=mcpu?cortex-m3
-+MULTILIB_MATCHES  += march?armv7e-m=mcpu?cortex-m4
-+MULTILIB_MATCHES  += march?armv7e-m=mcpu?cortex-m7
-+MULTILIB_MATCHES  += march?armv7=march?armv7-r
-+MULTILIB_MATCHES  += march?armv7=march?armv7-a
-+MULTILIB_MATCHES  += march?armv7=mcpu?cortex-r4
-+MULTILIB_MATCHES  += march?armv7=mcpu?cortex-r4f
-+MULTILIB_MATCHES  += march?armv7=mcpu?cortex-r5
-+MULTILIB_MATCHES  += march?armv7=mcpu?cortex-r7
-+MULTILIB_MATCHES  += march?armv7=mcpu?cortex-a5
-+MULTILIB_MATCHES  += march?armv7=mcpu?cortex-a7
-+MULTILIB_MATCHES  += march?armv7=mcpu?cortex-a8
-+MULTILIB_MATCHES  += march?armv7=mcpu?cortex-a9
-+MULTILIB_MATCHES  += march?armv7=mcpu?cortex-a15
-+MULTILIB_MATCHES  += mfpu?fpv4-sp-d16=mfpu?fpv5-sp-d16
-+MULTILIB_MATCHES  += mfpu?fpv4-sp-d16=mfpu?fpv5-d16
-+MULTILIB_MATCHES  += mfpu?vfpv3-d16=mfpu?vfpv3
-+MULTILIB_MATCHES  += mfpu?vfpv3-d16=mfpu?vfpv3-fp16
-+MULTILIB_MATCHES  += mfpu?vfpv3-d16=mfpu?vfpv3-d16-fp16
-+MULTILIB_MATCHES  += mfpu?vfpv3-d16=mfpu?vfpv3xd
-+MULTILIB_MATCHES  += mfpu?vfpv3-d16=mfpu?vfpv3xd-fp16
-+MULTILIB_MATCHES  += mfpu?vfpv3-d16=mfpu?vfpv4
-+MULTILIB_MATCHES  += mfpu?vfpv3-d16=mfpu?vfpv4-d16
-+MULTILIB_MATCHES  += mfpu?vfpv3-d16=mfpu?neon
-+MULTILIB_MATCHES  += mfpu?vfpv3-d16=mfpu?neon-fp16
-+MULTILIB_MATCHES  += mfpu?vfpv3-d16=mfpu?neon-vfpv4
-+
-+MULTILIB_EXCEPTIONS =
-+MULTILIB_REUSE =
-+
-+MULTILIB_REQUIRED  = mthumb
-+MULTILIB_REQUIRED += marm
-+MULTILIB_REQUIRED += mfloat-abi=hard
-+
-+MULTILIB_OSDIRNAMES  = mthumb=!thumb
-+MULTILIB_OSDIRNAMES += marm=!arm
-+MULTILIB_OSDIRNAMES += mfloat-abi.hard=!fpu
-+
-+ifneq (,$(findstring armv6-m,$(subst $(comma),$(space),$(with_multilib_list))))
-+MULTILIB_REQUIRED   += mthumb/march=armv6s-m
-+MULTILIB_OSDIRNAMES += mthumb/march.armv6s-m=!armv6-m
-+endif
-+
-+ifneq (,$(findstring armv7-m,$(subst $(comma),$(space),$(with_multilib_list))))
-+MULTILIB_REQUIRED   += mthumb/march=armv7-m
-+MULTILIB_OSDIRNAMES += mthumb/march.armv7-m=!armv7-m
-+endif
-+
-+ifneq (,$(findstring armv7e-m,$(subst $(comma),$(space),$(with_multilib_list))))
-+MULTILIB_REQUIRED   += mthumb/march=armv7e-m
-+MULTILIB_REQUIRED   += mthumb/march=armv7e-m/mfloat-abi=softfp/mfpu=fpv4-sp-d16
-+MULTILIB_REQUIRED   += mthumb/march=armv7e-m/mfloat-abi=hard/mfpu=fpv4-sp-d16
-+MULTILIB_OSDIRNAMES += mthumb/march.armv7e-m=!armv7e-m
-+MULTILIB_OSDIRNAMES += mthumb/march.armv7e-m/mfloat-abi.hard/mfpu.fpv4-sp-d16=!armv7e-m/fpu
-+MULTILIB_OSDIRNAMES += mthumb/march.armv7e-m/mfloat-abi.softfp/mfpu.fpv4-sp-d16=!armv7e-m/softfp
-+endif
-+
-+ifneq (,$(filter armv7 armv7-r armv7-a,$(subst $(comma),$(space),$(with_multilib_list))))
-+MULTILIB_REQUIRED   += mthumb/march=armv7
-+MULTILIB_REQUIRED   += mthumb/march=armv7/mfloat-abi=softfp/mfpu=vfpv3-d16
-+MULTILIB_REQUIRED   += mthumb/march=armv7/mfloat-abi=hard/mfpu=vfpv3-d16
-+MULTILIB_OSDIRNAMES += mthumb/march.armv7=!armv7-ar/thumb
-+MULTILIB_OSDIRNAMES += mthumb/march.armv7/mfloat-abi.hard/mfpu.vfpv3-d16=!armv7-ar/thumb/fpu
-+MULTILIB_OSDIRNAMES += mthumb/march.armv7/mfloat-abi.softfp/mfpu.vfpv3-d16=!armv7-ar/thumb/softfp
-+MULTILIB_REUSE      += mthumb/march.armv7=marm/march.armv7
-+MULTILIB_REUSE      += mthumb/march.armv7/mfloat-abi.softfp/mfpu.vfpv3-d16=marm/march.armv7/mfloat-abi.softfp/mfpu.vfpv3-d16
-+MULTILIB_REUSE      += mthumb/march.armv7/mfloat-abi.hard/mfpu.vfpv3-d16=marm/march.armv7/mfloat-abi.hard/mfpu.vfpv3-d16
-+endif
-diff --git a/gcc/configure b/gcc/configure
-index ea73b151a4e..c609f25e50c 100755
---- a/gcc/configure
-+++ b/gcc/configure
-@@ -772,6 +772,7 @@ SET_MAKE
- accel_dir_suffix
- real_target_noncanonical
- enable_as_accelerator
-+with_multilib_list
- REPORT_BUGS_TEXI
- REPORT_BUGS_TO
- PKGVERSION
-@@ -7763,6 +7764,7 @@ else
- fi
- 
- 
-+
- # -------------------------
- # Checks for other programs
- # -------------------------
-diff --git a/gcc/configure.ac b/gcc/configure.ac
-index 9d4c792a33f..abd988eb113 100644
---- a/gcc/configure.ac
-+++ b/gcc/configure.ac
-@@ -1007,6 +1007,7 @@ AC_ARG_WITH(multilib-list,
- [AS_HELP_STRING([--with-multilib-list], [select multilibs (AArch64, SH and x86-64 only)])],
- :,
- with_multilib_list=default)
-+AC_SUBST(with_multilib_list)
- 
- # -------------------------
- # Checks for other programs
diff --git a/srcpkgs/cross-arm-none-eabi/files/fix-cxxflags-passing.patch b/srcpkgs/cross-arm-none-eabi/files/fix-cxxflags-passing.patch
deleted file mode 120000
index 4a8c831e615..00000000000
--- a/srcpkgs/cross-arm-none-eabi/files/fix-cxxflags-passing.patch
+++ /dev/null
@@ -1 +0,0 @@
-../../gcc/patches/fix-cxxflags-passing.patch
\ No newline at end of file

From 1c76938d55518057b4d9f3882744595c527ed5c9 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 17:29:30 +0200
Subject: [PATCH 16/32] cross-armv7l-linux-gnueabihf: update for gcc-9.1.0

[ci skip]
---
 .../files/non-nullness.patch                          |  1 +
 srcpkgs/cross-armv7l-linux-gnueabihf/template         | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-armv7l-linux-gnueabihf/files/non-nullness.patch

diff --git a/srcpkgs/cross-armv7l-linux-gnueabihf/files/non-nullness.patch b/srcpkgs/cross-armv7l-linux-gnueabihf/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-armv7l-linux-gnueabihf/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-armv7l-linux-gnueabihf/template b/srcpkgs/cross-armv7l-linux-gnueabihf/template
index 7de622dcadc..bf3501233b7 100644
--- a/srcpkgs/cross-armv7l-linux-gnueabihf/template
+++ b/srcpkgs/cross-armv7l-linux-gnueabihf/template
@@ -1,7 +1,7 @@
 # Template build file for 'cross-armv7l-linux-gnueabihf'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _glibc_version=2.29
 _linux_version=4.19
 
@@ -11,8 +11,8 @@ _archflags="-march=armv7-a -mfpu=vfpv3 -mfloat-abi=hard"
 _sysroot="/usr/${_triplet}"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=5
+version=0.31
+revision=1
 short_desc="GNU Cross toolchain for the ${_triplet} LE target (binutils/gcc/glibc)"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="https://www.voidlinux.org/"
@@ -23,7 +23,7 @@ distfiles="
  http://ftp.gnu.org/gnu/glibc/glibc-${_glibc_version}.tar.xz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  f3eeb8d57e25ca9fc13c2af3dae97754f9f643bc69229546828e3a240e2af04b
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -33,7 +33,7 @@ nopie=yes
 nodebug=yes
 create_wrksrc=yes
 
-hostmakedepends="flex gcc-ada libada-devel perl python3"
+hostmakedepends="flex python3"
 makedepends="isl15-devel libmpc-devel zlib-devel"
 depends="${pkgname}-libc-${version}_${revision}"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
@@ -98,6 +98,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 
 	msg_normal "Building cross gcc bootstrap\n"
 

From e8c401741c1388523e6da4b36053c48f413e7445 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 18:59:14 +0200
Subject: [PATCH 17/32] cross-armv7l-linux-musleabihf: update for gcc-9.1.0

[ci skip]
---
 .../files/non-nullness.patch                          |  1 +
 srcpkgs/cross-armv7l-linux-musleabihf/template        | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-armv7l-linux-musleabihf/files/non-nullness.patch

diff --git a/srcpkgs/cross-armv7l-linux-musleabihf/files/non-nullness.patch b/srcpkgs/cross-armv7l-linux-musleabihf/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-armv7l-linux-musleabihf/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-armv7l-linux-musleabihf/template b/srcpkgs/cross-armv7l-linux-musleabihf/template
index 52bde98ccfd..33f481abd95 100644
--- a/srcpkgs/cross-armv7l-linux-musleabihf/template
+++ b/srcpkgs/cross-armv7l-linux-musleabihf/template
@@ -1,7 +1,7 @@
 # Template build file for 'cross-armv7l-linux-musleabihf'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _musl_version=1.1.22
 _linux_version=4.19
 
@@ -11,8 +11,8 @@ _archflags="-march=armv7-a -mfpu=vfpv3 -mfloat-abi=hard"
 _sysroot="/usr/${_triplet}"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=2
+version=0.31
+revision=1
 short_desc="Cross toolchain for ARMv7 LE Hard Float target (musl)"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="https://www.voidlinux.org/"
@@ -23,7 +23,7 @@ distfiles="
  http://www.musl-libc.org/releases/musl-${_musl_version}.tar.gz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  8b0941a48d2f980fd7036cfbd24aa1d414f03d9a0652ecbd5ec5c7ff1bee29e3
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -33,7 +33,7 @@ nopie=yes
 nodebug=yes
 create_wrksrc=yes
 
-hostmakedepends="perl flex gcc-ada libada-devel"
+hostmakedepends="flex perl python3"
 makedepends="zlib-devel gmp-devel mpfr-devel libmpc-devel isl15-devel"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
  libgnarl_pic.a libgnarl.a libgnat_pic.a libgnat.a"
@@ -84,6 +84,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 	_apply_patch -p0 ${FILESDIR}/musl-ada.patch
 	_apply_patch -p1 ${FILESDIR}/libgnarl-musl.patch
 

From f55f90ac0de001ccf39f7c343a51a81fbb84c0fd Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 16:20:45 +0200
Subject: [PATCH 18/32] cross-i686-pc-linux-gnu: update for gcc-9.1.0

[ci skip]
---
 .../cross-i686-pc-linux-gnu/files/non-nullness.patch  |  1 +
 srcpkgs/cross-i686-pc-linux-gnu/template              | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-i686-pc-linux-gnu/files/non-nullness.patch

diff --git a/srcpkgs/cross-i686-pc-linux-gnu/files/non-nullness.patch b/srcpkgs/cross-i686-pc-linux-gnu/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-i686-pc-linux-gnu/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-i686-pc-linux-gnu/template b/srcpkgs/cross-i686-pc-linux-gnu/template
index fa6d027ce26..bf4012f1aa9 100644
--- a/srcpkgs/cross-i686-pc-linux-gnu/template
+++ b/srcpkgs/cross-i686-pc-linux-gnu/template
@@ -1,7 +1,7 @@
 # Template build file for 'cross-i686-pc-linux-gnu'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _glibc_version=2.29
 _linux_version=4.19
 
@@ -10,8 +10,8 @@ _archflags="-march=i686 -mtune=generic"
 _sysroot="/usr/${_triplet}"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=2
+version=0.31
+revision=1
 short_desc="GNU Cross toolchain for the ${_triplet} target (binutils/gcc/glibc)"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="https://www.voidlinux.org/"
@@ -22,7 +22,7 @@ distfiles="
  ${GNU_SITE}/glibc/glibc-${_glibc_version}.tar.xz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  f3eeb8d57e25ca9fc13c2af3dae97754f9f643bc69229546828e3a240e2af04b
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -32,7 +32,7 @@ nopie=yes
 nodebug=yes
 lib32disabled=yes
 create_wrksrc=yes
-hostmakedepends="flex gcc-ada libada-devel perl python3"
+hostmakedepends="flex perl python3"
 makedepends="isl15-devel libmpc-devel zlib-devel"
 depends="${pkgname}-libc-${version}_${revision}"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
@@ -81,6 +81,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 	_apply_patch -p0 ${FILESDIR}/no-stack_chk_fail_local.patch
 
 	msg_normal "Building cross gcc bootstrap\n"

From 3f99949d487bd760be0e90d5d74b0966f792e48e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 18:57:59 +0200
Subject: [PATCH 19/32] cross-i686-linux-musl: update for gcc-9.1.0

[ci skip]
---
 .../cross-i686-linux-musl/files/non-nullness.patch    |  1 +
 srcpkgs/cross-i686-linux-musl/template                | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-i686-linux-musl/files/non-nullness.patch

diff --git a/srcpkgs/cross-i686-linux-musl/files/non-nullness.patch b/srcpkgs/cross-i686-linux-musl/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-i686-linux-musl/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-i686-linux-musl/template b/srcpkgs/cross-i686-linux-musl/template
index c9767293b4f..8ee17c8d647 100644
--- a/srcpkgs/cross-i686-linux-musl/template
+++ b/srcpkgs/cross-i686-linux-musl/template
@@ -1,7 +1,7 @@
 # Template build file for 'cross-i686-linux-musl'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _musl_version=1.1.22
 _linux_version=4.19
 
@@ -10,8 +10,8 @@ _sysroot="/usr/${_triplet}"
 _archflags="-march=i686"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=2
+version=0.31
+revision=1
 short_desc="Cross toolchain for i686 target (musl)"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="https://www.voidlinux.org/"
@@ -22,7 +22,7 @@ distfiles="
  http://www.musl-libc.org/releases/musl-${_musl_version}.tar.gz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  8b0941a48d2f980fd7036cfbd24aa1d414f03d9a0652ecbd5ec5c7ff1bee29e3
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -31,7 +31,7 @@ nocross=yes
 nopie=yes
 nodebug=yes
 create_wrksrc=yes
-hostmakedepends="perl flex gcc-ada libada-devel"
+hostmakedepends="flex perl python3"
 makedepends="zlib-devel gmp-devel mpfr-devel libmpc-devel isl15-devel"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
  libgnarl_pic.a libgnarl.a libgnat_pic.a libgnat.a"
@@ -83,6 +83,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 	_apply_patch -p0 ${FILESDIR}/no-stack_chk_fail_local.patch
 	_apply_patch -p0 ${FILESDIR}/musl-ada.patch
 	_apply_patch -p1 ${FILESDIR}/libgnarl-musl.patch

From 0ba6f47cc26844b9641bb9aa2f214dc8d9acefaf Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 17:29:56 +0200
Subject: [PATCH 20/32] cross-powerpc-linux-gnu: update for gcc-9.1.0

[ci skip]
---
 srcpkgs/cross-powerpc-linux-gnu/files/non-nullness.patch | 1 +
 srcpkgs/cross-powerpc-linux-gnu/template                 | 7 ++++---
 2 files changed, 5 insertions(+), 3 deletions(-)
 create mode 120000 srcpkgs/cross-powerpc-linux-gnu/files/non-nullness.patch

diff --git a/srcpkgs/cross-powerpc-linux-gnu/files/non-nullness.patch b/srcpkgs/cross-powerpc-linux-gnu/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-powerpc-linux-gnu/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-powerpc-linux-gnu/template b/srcpkgs/cross-powerpc-linux-gnu/template
index 9423ecb79d6..6a0969ad5ba 100644
--- a/srcpkgs/cross-powerpc-linux-gnu/template
+++ b/srcpkgs/cross-powerpc-linux-gnu/template
@@ -1,7 +1,7 @@
 # Template build file for 'cross-powerpc-linux-gnu'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _glibc_version=2.29
 _linux_version=4.19
 
@@ -22,7 +22,7 @@ distfiles="
  ${GNU_SITE}/glibc/glibc-${_glibc_version}.tar.xz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  f3eeb8d57e25ca9fc13c2af3dae97754f9f643bc69229546828e3a240e2af04b
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -30,7 +30,7 @@ lib32disabled=yes
 nocross=yes
 nopie=yes
 create_wrksrc=yes
-hostmakedepends="flex gcc-ada libada-devel perl python3"
+hostmakedepends="flex perl python3"
 makedepends="isl15-devel libmpc-devel zlib-devel"
 depends="${pkgname}-libc-${version}_${revision}"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
@@ -95,6 +95,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 
 	msg_normal "Building cross gcc bootstrap\n"
 

From 79558ac25d6adfcc7e5d4472fd8735db0634509b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Thu, 23 May 2019 20:55:34 +0200
Subject: [PATCH 21/32] cross-powerpc-linux-musl: update for gcc-9.1.0

[ci skip]
---
 srcpkgs/cross-powerpc-linux-musl/files/non-nullness.patch | 1 +
 srcpkgs/cross-powerpc-linux-musl/template                 | 7 ++++---
 2 files changed, 5 insertions(+), 3 deletions(-)
 create mode 120000 srcpkgs/cross-powerpc-linux-musl/files/non-nullness.patch

diff --git a/srcpkgs/cross-powerpc-linux-musl/files/non-nullness.patch b/srcpkgs/cross-powerpc-linux-musl/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-powerpc-linux-musl/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-powerpc-linux-musl/template b/srcpkgs/cross-powerpc-linux-musl/template
index cf76b6acd37..f123c81cb74 100644
--- a/srcpkgs/cross-powerpc-linux-musl/template
+++ b/srcpkgs/cross-powerpc-linux-musl/template
@@ -1,7 +1,7 @@
 # Template build file for 'cross-powerpc-linux-musl'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _musl_version=1.1.22
 _linux_version=4.19
 
@@ -25,7 +25,7 @@ distfiles="
  http://www.musl-libc.org/releases/musl-${_musl_version}.tar.gz"
 checksum="
  0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1
  8b0941a48d2f980fd7036cfbd24aa1d414f03d9a0652ecbd5ec5c7ff1bee29e3"
 
@@ -36,7 +36,7 @@ nodebug=yes
 create_wrksrc=yes
 
 archs="x86_64* ppc64*"
-hostmakedepends="perl flex gcc-ada libada-devel"
+hostmakedepends="flex perl python3"
 makedepends="zlib-devel gmp-devel mpfr-devel libmpc-devel isl15-devel"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
  libgnarl_pic.a libgnarl.a libgnat_pic.a libgnat.a"
@@ -86,6 +86,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 	_apply_patch -p0 ${FILESDIR}/musl-ada.patch
 	_apply_patch -p0 ${FILESDIR}/no-stack_chk_fail_local.patch
 	_apply_patch -p0 ${FILESDIR}/0010-ldbl128-config.patch

From fa12a980c1ddfdf6cc4e19dacf19f28ccb73a55e Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 17:30:05 +0200
Subject: [PATCH 22/32] cross-powerpc64-linux-gnu: update for gcc-9.1.0

[ci skip]
---
 .../files/non-nullness.patch                          |  1 +
 srcpkgs/cross-powerpc64-linux-gnu/template            | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-powerpc64-linux-gnu/files/non-nullness.patch

diff --git a/srcpkgs/cross-powerpc64-linux-gnu/files/non-nullness.patch b/srcpkgs/cross-powerpc64-linux-gnu/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-powerpc64-linux-gnu/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-powerpc64-linux-gnu/template b/srcpkgs/cross-powerpc64-linux-gnu/template
index 3f531d96b26..51973934ea6 100644
--- a/srcpkgs/cross-powerpc64-linux-gnu/template
+++ b/srcpkgs/cross-powerpc64-linux-gnu/template
@@ -1,6 +1,6 @@
 # Template file for 'cross-powerpc64le-linux-gnu'
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _glibc_version=2.29
 _linux_version=4.19
 
@@ -8,8 +8,8 @@ _triplet="powerpc64-linux-gnu"
 _sysroot="/usr/${_triplet}"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=2
+version=0.31
+revision=1
 short_desc="GNU cross toolchain for the ${_triplet} targets (binutils/gcc/glibc)"
 maintainer="Jürgen Buchmüller <pullmoll@t-online.de>"
 homepage="https://www.voidlinux.org/"
@@ -20,7 +20,7 @@ distfiles="
  ${GNU_SITE}/glibc/glibc-${_glibc_version}.tar.xz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  f3eeb8d57e25ca9fc13c2af3dae97754f9f643bc69229546828e3a240e2af04b
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -29,7 +29,7 @@ nocross=yes
 nopie=yes
 nodebug=yes
 create_wrksrc=yes
-hostmakedepends="flex gcc-ada libada-devel perl python3"
+hostmakedepends="flex perl python3"
 makedepends="isl15-devel libmpc-devel zlib-devel"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
  libgnarl_pic.a libgnarl.a libgnat_pic.a libgnat.a"
@@ -81,6 +81,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 	_apply_patch -p0 ${FILESDIR}/ppc64-pure64.patch
 
 	sed -i 's/lib64/lib/' gcc/config/rs6000/linux64.h

From a6d9271847346459c18e2dcc278dbdc235909e8d Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 18:59:42 +0200
Subject: [PATCH 23/32] cross-powerpc64-linux-musl: update for gcc-9.1.0

[ci skip]
---
 .../cross-powerpc64-linux-musl/files/non-nullness.patch  | 1 +
 srcpkgs/cross-powerpc64-linux-musl/template              | 9 +++++----
 2 files changed, 6 insertions(+), 4 deletions(-)
 create mode 120000 srcpkgs/cross-powerpc64-linux-musl/files/non-nullness.patch

diff --git a/srcpkgs/cross-powerpc64-linux-musl/files/non-nullness.patch b/srcpkgs/cross-powerpc64-linux-musl/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-powerpc64-linux-musl/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-powerpc64-linux-musl/template b/srcpkgs/cross-powerpc64-linux-musl/template
index 71b9c0d1499..69d4ec4c13e 100644
--- a/srcpkgs/cross-powerpc64-linux-musl/template
+++ b/srcpkgs/cross-powerpc64-linux-musl/template
@@ -1,6 +1,6 @@
 # Template file for 'cross-powerpc64-linux-musl'
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _musl_version=1.1.22
 _linux_version=4.19
 
@@ -20,7 +20,7 @@ distfiles="
  http://www.musl-libc.org/releases/musl-${_musl_version}.tar.gz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  8b0941a48d2f980fd7036cfbd24aa1d414f03d9a0652ecbd5ec5c7ff1bee29e3
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -29,7 +29,7 @@ nocross=yes
 nopie=yes
 nodebug=yes
 create_wrksrc=yes
-hostmakedepends="perl flex gcc-ada libada-devel"
+hostmakedepends="flex perl python3"
 makedepends="zlib-devel gmp-devel mpfr-devel libmpc-devel isl15-devel"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
  libgnarl_pic.a libgnarl.a libgnat_pic.a libgnat.a"
@@ -81,10 +81,11 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
-	_apply_patch -p0 ${FILESDIR}/musl-ada.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 	_apply_patch -p0 ${FILESDIR}/0010-ldbl128-config.patch
 	_apply_patch -p0 ${FILESDIR}/ppc64-pure64.patch
 	_apply_patch -p0 ${FILESDIR}/libgcc-musl-ldbl128-config.patch
+	_apply_patch -p0 ${FILESDIR}/musl-ada.patch
 	_apply_patch -p1 ${FILESDIR}/libgnarl-musl.patch
 
 	sed -i 's/lib64/lib/' gcc/config/rs6000/linux64.h

From 5cf99b7ceed6bf97fb8e77333868023a065711c7 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 17:30:18 +0200
Subject: [PATCH 24/32] cross-powerpc64le-linux-gnu: update for gcc-9.1.0

[ci skip]
---
 .../files/non-nullness.patch                          |  1 +
 srcpkgs/cross-powerpc64le-linux-gnu/template          | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-powerpc64le-linux-gnu/files/non-nullness.patch

diff --git a/srcpkgs/cross-powerpc64le-linux-gnu/files/non-nullness.patch b/srcpkgs/cross-powerpc64le-linux-gnu/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-powerpc64le-linux-gnu/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-powerpc64le-linux-gnu/template b/srcpkgs/cross-powerpc64le-linux-gnu/template
index bf4520116d4..485f6bfe397 100644
--- a/srcpkgs/cross-powerpc64le-linux-gnu/template
+++ b/srcpkgs/cross-powerpc64le-linux-gnu/template
@@ -1,6 +1,6 @@
 # Template file for 'cross-powerpc64le-linux-gnu'
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _glibc_version=2.29
 _linux_version=4.19
 
@@ -8,8 +8,8 @@ _triplet="powerpc64le-linux-gnu"
 _sysroot="/usr/${_triplet}"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=3
+version=0.31
+revision=1
 short_desc="GNU cross toolchain for the ${_triplet} targets (binutils/gcc/glibc)"
 maintainer="q66 <daniel@octaforge.org>"
 homepage="https://www.voidlinux.org/"
@@ -20,7 +20,7 @@ distfiles="
  ${GNU_SITE}/glibc/glibc-${_glibc_version}.tar.xz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  f3eeb8d57e25ca9fc13c2af3dae97754f9f643bc69229546828e3a240e2af04b
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -29,7 +29,7 @@ nocross=yes
 nopie=yes
 nodebug=yes
 create_wrksrc=yes
-hostmakedepends="flex gcc-ada libada-devel perl python3"
+hostmakedepends="flex perl python3"
 makedepends="isl15-devel libmpc-devel zlib-devel"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
  libgnarl_pic.a libgnarl.a libgnat_pic.a libgnat.a"
@@ -81,6 +81,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 	_apply_patch -p0 ${FILESDIR}/ppc64-pure64.patch
 
 	sed -i 's/lib64/lib/' gcc/config/rs6000/linux64.h

From 547720d2f4e9f67b699339505bf69b66a1a0c3a3 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 18:59:56 +0200
Subject: [PATCH 25/32] cross-powerpc64le-linux-musl: update for gcc-9.1.0

[ci skip]
---
 .../files/non-nullness.patch                             | 1 +
 srcpkgs/cross-powerpc64le-linux-musl/template            | 9 +++++----
 2 files changed, 6 insertions(+), 4 deletions(-)
 create mode 120000 srcpkgs/cross-powerpc64le-linux-musl/files/non-nullness.patch

diff --git a/srcpkgs/cross-powerpc64le-linux-musl/files/non-nullness.patch b/srcpkgs/cross-powerpc64le-linux-musl/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-powerpc64le-linux-musl/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-powerpc64le-linux-musl/template b/srcpkgs/cross-powerpc64le-linux-musl/template
index 8bb44d51b1f..fbb28e2b397 100644
--- a/srcpkgs/cross-powerpc64le-linux-musl/template
+++ b/srcpkgs/cross-powerpc64le-linux-musl/template
@@ -1,6 +1,6 @@
 # Template file for 'cross-powerpc64le-linux-musl'
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _musl_version=1.1.22
 _linux_version=4.19
 
@@ -20,7 +20,7 @@ distfiles="
  http://www.musl-libc.org/releases/musl-${_musl_version}.tar.gz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  8b0941a48d2f980fd7036cfbd24aa1d414f03d9a0652ecbd5ec5c7ff1bee29e3
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -29,7 +29,7 @@ nocross=yes
 nopie=yes
 nodebug=yes
 create_wrksrc=yes
-hostmakedepends="perl flex gcc-ada libada-devel"
+hostmakedepends="flex perl python3"
 makedepends="zlib-devel gmp-devel mpfr-devel libmpc-devel isl15-devel"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
  libgnarl_pic.a libgnarl.a libgnat_pic.a libgnat.a"
@@ -81,10 +81,11 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
-	_apply_patch -p0 ${FILESDIR}/musl-ada.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 	_apply_patch -p0 ${FILESDIR}/0010-ldbl128-config.patch
 	_apply_patch -p0 ${FILESDIR}/ppc64-pure64.patch
 	_apply_patch -p0 ${FILESDIR}/libgcc-musl-ldbl128-config.patch
+	_apply_patch -p0 ${FILESDIR}/musl-ada.patch
 	_apply_patch -p1 ${FILESDIR}/libgnarl-musl.patch
 
 	sed -i 's/lib64/lib/' gcc/config/rs6000/linux64.h

From 9285fe5270083f3bfef43a553f0e701bbd016cd2 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 17:30:55 +0200
Subject: [PATCH 26/32] cross-x86_64-w64-mingw32: update for gcc-9.1.0

[ci skip]
---
 srcpkgs/cross-x86_64-w64-mingw32/template | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

diff --git a/srcpkgs/cross-x86_64-w64-mingw32/template b/srcpkgs/cross-x86_64-w64-mingw32/template
index 3493bfe54da..2e5bc454ba8 100644
--- a/srcpkgs/cross-x86_64-w64-mingw32/template
+++ b/srcpkgs/cross-x86_64-w64-mingw32/template
@@ -1,18 +1,18 @@
 # Template file for 'cross-x86_64-w64-mingw32'
-_gcc_version="8.3.0"
-_binutils_version="2.32"
-_gmp_version="6.1.2"
-_mpfr_version="4.0.1"
-_mpc_version="1.1.0"
-_isl_version="0.19"
-_mingw_version="6.0.0"
+_gcc_version=9.1.0
+_binutils_version=2.32
+_gmp_version=6.1.2
+_mpfr_version=4.0.1
+_mpc_version=1.1.0
+_isl_version=0.19
+_mingw_version=6.0.0
 
 pkgname=cross-x86_64-w64-mingw32
-version="$_mingw_version"
-revision=1
+version=$_mingw_version
+revision=2
 archs="x86_64* i686*"
 create_wrksrc=yes
-hostmakedepends="perl flex"
+hostmakedepends="flex perl python3"
 makedepends="zlib-devel"
 # it's ok to build with current's -devel packages
 # although it might break the package during compiler updates
@@ -31,7 +31,7 @@ distfiles="
  http://isl.gforge.inria.fr/isl-${_isl_version}.tar.bz2
  ${SOURCEFORGE_SITE}/project/mingw-w64/mingw-w64/mingw-w64-release/mingw-w64-v${_mingw_version}.tar.bz2"
 checksum="de38b15c902eb2725eac6af21183a5f34ea4634cb0bcef19612b50e5ed31072d
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  6985c538143c1208dcb1ac42cedad6ff52e267b47e5f970183a3e75125b43c2e
  87b565e89a9a684fe4ebeeddb8399dce2599f9c9049854ca8c0dfbdea0e21912
  67874a60826303ee2fb6affc6dc0ddd3e749e9bfcb4c8655e3953d0458a6e16e

From 45a5c4cb62de035f02c0b97ad8cc29af8853ce2b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 18:58:15 +0200
Subject: [PATCH 27/32] cross-mips-linux-musl: update for gcc-9.1.0

[ci skip]
---
 .../cross-mips-linux-musl/files/non-nullness.patch    |  1 +
 srcpkgs/cross-mips-linux-musl/template                | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-mips-linux-musl/files/non-nullness.patch

diff --git a/srcpkgs/cross-mips-linux-musl/files/non-nullness.patch b/srcpkgs/cross-mips-linux-musl/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-mips-linux-musl/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-mips-linux-musl/template b/srcpkgs/cross-mips-linux-musl/template
index 8d2c0f85c3f..909adb66231 100644
--- a/srcpkgs/cross-mips-linux-musl/template
+++ b/srcpkgs/cross-mips-linux-musl/template
@@ -1,7 +1,7 @@
 # Template build file for 'cross-mips-linux-musl'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _musl_version=1.1.22
 _linux_version=4.19
 
@@ -11,8 +11,8 @@ _archflags="-march=mips32r2 -msoft-float"
 _sysroot="/usr/${_triplet}"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=2
+version=0.31
+revision=1
 short_desc="Cross toolchain for MIPS32r2 BE softfloat target (musl)"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="https://www.voidlinux.org/"
@@ -23,7 +23,7 @@ distfiles="
  http://www.musl-libc.org/releases/musl-${_musl_version}.tar.gz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  8b0941a48d2f980fd7036cfbd24aa1d414f03d9a0652ecbd5ec5c7ff1bee29e3
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -33,7 +33,7 @@ nopie=yes
 nodebug=yes
 create_wrksrc=yes
 
-hostmakedepends="perl flex gcc-ada libada-devel"
+hostmakedepends="flex perl python3"
 makedepends="zlib-devel gmp-devel mpfr-devel libmpc-devel isl15-devel"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
  libgnarl_pic.a libgnarl.a libgnat_pic.a libgnat.a"
@@ -84,6 +84,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 	_apply_patch -p0 ${FILESDIR}/musl-ada.patch
 	_apply_patch -p1 ${FILESDIR}/libgnarl-musl.patch
 

From 5e80c540eeeaabfab6104e0810a85f1131dd61f2 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 18:58:23 +0200
Subject: [PATCH 28/32] cross-mips-linux-muslhf: update for gcc-9.1.0

[ci skip]
---
 .../cross-mips-linux-muslhf/files/non-nullness.patch  |  1 +
 srcpkgs/cross-mips-linux-muslhf/template              | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-mips-linux-muslhf/files/non-nullness.patch

diff --git a/srcpkgs/cross-mips-linux-muslhf/files/non-nullness.patch b/srcpkgs/cross-mips-linux-muslhf/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-mips-linux-muslhf/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-mips-linux-muslhf/template b/srcpkgs/cross-mips-linux-muslhf/template
index 0afcc4ed6a1..79e0313b4fa 100644
--- a/srcpkgs/cross-mips-linux-muslhf/template
+++ b/srcpkgs/cross-mips-linux-muslhf/template
@@ -1,7 +1,7 @@
 # Template build file for 'cross-mips-linux-muslhf'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _musl_version=1.1.22
 _linux_version=4.19
 
@@ -11,8 +11,8 @@ _archflags="-march=mips32r2 -mhard-float"
 _sysroot="/usr/${_triplet}"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=2
+version=0.31
+revision=1
 short_desc="Cross toolchain for MIPS32r2 BE hardfloat target (musl)"
 maintainer="hipperson0 <hipperson0@gmail.com>"
 homepage="https://www.voidlinux.org/"
@@ -23,7 +23,7 @@ distfiles="
  https://www.musl-libc.org/releases/musl-${_musl_version}.tar.gz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  8b0941a48d2f980fd7036cfbd24aa1d414f03d9a0652ecbd5ec5c7ff1bee29e3
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -33,7 +33,7 @@ nopie=yes
 nodebug=yes
 create_wrksrc=yes
 
-hostmakedepends="perl flex gcc-ada libada-devel"
+hostmakedepends="flex perl python3"
 makedepends="zlib-devel gmp-devel mpfr-devel libmpc-devel isl15-devel"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
  libgnarl_pic.a libgnarl.a libgnat_pic.a libgnat.a"
@@ -84,6 +84,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 	_apply_patch -p0 ${FILESDIR}/musl-ada.patch
 	_apply_patch -p1 ${FILESDIR}/libgnarl-musl.patch
 

From c9a5e510e017936ace85fd5d12ba5087bdd64de6 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 18:58:36 +0200
Subject: [PATCH 29/32] cross-mipsel-linux-musl: update for gcc-9.1.0

[ci skip]
---
 .../cross-mipsel-linux-musl/files/non-nullness.patch  |  1 +
 srcpkgs/cross-mipsel-linux-musl/template              | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-mipsel-linux-musl/files/non-nullness.patch

diff --git a/srcpkgs/cross-mipsel-linux-musl/files/non-nullness.patch b/srcpkgs/cross-mipsel-linux-musl/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-mipsel-linux-musl/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-mipsel-linux-musl/template b/srcpkgs/cross-mipsel-linux-musl/template
index 79f158cf91b..27a090a9916 100644
--- a/srcpkgs/cross-mipsel-linux-musl/template
+++ b/srcpkgs/cross-mipsel-linux-musl/template
@@ -1,7 +1,7 @@
 # Template build file for 'cross-mipsel-linux-musl'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _musl_version=1.1.22
 _linux_version=4.19
 
@@ -11,8 +11,8 @@ _archflags="-march=mips32r2 -msoft-float"
 _sysroot="/usr/${_triplet}"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=3
+version=0.31
+revision=1
 short_desc="Cross toolchain for MIPS32r2 LE softfloat target (musl)"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="https://www.voidlinux.org/"
@@ -23,7 +23,7 @@ distfiles="
  http://www.musl-libc.org/releases/musl-${_musl_version}.tar.gz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  8b0941a48d2f980fd7036cfbd24aa1d414f03d9a0652ecbd5ec5c7ff1bee29e3
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -33,7 +33,7 @@ nopie=yes
 nodebug=yes
 create_wrksrc=yes
 
-hostmakedepends="perl flex gcc-ada libada-devel"
+hostmakedepends="flex perl python3"
 makedepends="zlib-devel gmp-devel mpfr-devel libmpc-devel isl15-devel"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
  libgnarl_pic.a libgnarl.a libgnat_pic.a libgnat.a"
@@ -84,6 +84,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 	_apply_patch -p0 ${FILESDIR}/musl-ada.patch
 	_apply_patch -p1 ${FILESDIR}/libgnarl-musl.patch
 

From 3782be7c6f31c0d9f25313fb9e14df5f893907d2 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 18:58:44 +0200
Subject: [PATCH 30/32] cross-mipsel-linux-muslhf: update for gcc-9.1.0

[ci skip]
---
 .../files/non-nullness.patch                          |  1 +
 srcpkgs/cross-mipsel-linux-muslhf/template            | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-mipsel-linux-muslhf/files/non-nullness.patch

diff --git a/srcpkgs/cross-mipsel-linux-muslhf/files/non-nullness.patch b/srcpkgs/cross-mipsel-linux-muslhf/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-mipsel-linux-muslhf/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-mipsel-linux-muslhf/template b/srcpkgs/cross-mipsel-linux-muslhf/template
index 3475840c6aa..af841ed82bf 100644
--- a/srcpkgs/cross-mipsel-linux-muslhf/template
+++ b/srcpkgs/cross-mipsel-linux-muslhf/template
@@ -1,7 +1,7 @@
 # Template build file for 'cross-mipsel-linux-muslhf'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _musl_version=1.1.22
 _linux_version=4.19
 
@@ -11,8 +11,8 @@ _archflags="-march=mips32r2 -mhard-float"
 _sysroot="/usr/${_triplet}"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=2
+version=0.31
+revision=1
 short_desc="Cross toolchain for MIPS32r2 LE hardfloat target (musl)"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
 homepage="https://www.voidlinux.org/"
@@ -23,7 +23,7 @@ distfiles="
  http://www.musl-libc.org/releases/musl-${_musl_version}.tar.gz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  8b0941a48d2f980fd7036cfbd24aa1d414f03d9a0652ecbd5ec5c7ff1bee29e3
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -33,7 +33,7 @@ nopie=yes
 nodebug=yes
 create_wrksrc=yes
 
-hostmakedepends="perl flex gcc-ada libada-devel"
+hostmakedepends="flex perl python3"
 makedepends="zlib-devel gmp-devel mpfr-devel libmpc-devel isl15-devel"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
  libgnarl_pic.a libgnarl.a libgnat_pic.a libgnat.a"
@@ -84,6 +84,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 	_apply_patch -p0 ${FILESDIR}/musl-ada.patch
 	_apply_patch -p1 ${FILESDIR}/libgnarl-musl.patch
 

From 4606ed7d63c3f9ad28befac658486e78da1ddd9b Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Tue, 14 May 2019 19:00:17 +0200
Subject: [PATCH 31/32] cross-x86_64-linux-musl: update for gcc-9.1.0

[ci skip]
---
 .../cross-x86_64-linux-musl/files/non-nullness.patch  |  1 +
 srcpkgs/cross-x86_64-linux-musl/template              | 11 ++++++-----
 2 files changed, 7 insertions(+), 5 deletions(-)
 create mode 120000 srcpkgs/cross-x86_64-linux-musl/files/non-nullness.patch

diff --git a/srcpkgs/cross-x86_64-linux-musl/files/non-nullness.patch b/srcpkgs/cross-x86_64-linux-musl/files/non-nullness.patch
new file mode 120000
index 00000000000..c8b653748fe
--- /dev/null
+++ b/srcpkgs/cross-x86_64-linux-musl/files/non-nullness.patch
@@ -0,0 +1 @@
+../../gcc/patches/non-nullness.patch
\ No newline at end of file
diff --git a/srcpkgs/cross-x86_64-linux-musl/template b/srcpkgs/cross-x86_64-linux-musl/template
index 4489c5727b0..db5343cbafc 100644
--- a/srcpkgs/cross-x86_64-linux-musl/template
+++ b/srcpkgs/cross-x86_64-linux-musl/template
@@ -1,7 +1,7 @@
 # Template file for 'cross-x86_64-linux-musl'
 #
 _binutils_version=2.32
-_gcc_version=8.3.0
+_gcc_version=9.1.0
 _musl_version=1.1.22
 _linux_version=4.19
 
@@ -9,8 +9,8 @@ _triplet=x86_64-linux-musl
 _sysroot="/usr/${_triplet}"
 
 pkgname=cross-${_triplet}
-version=0.30
-revision=2
+version=0.31
+revision=1
 archs="i686* x86_64 ppc64le"
 short_desc="Cross toolchain for x86_64 with musl"
 maintainer="Juan RP <xtraeme@voidlinux.org>"
@@ -22,7 +22,7 @@ distfiles="
  http://www.musl-libc.org/releases/musl-${_musl_version}.tar.gz
  ${KERNEL_SITE}/kernel/v4.x/linux-${_linux_version}.tar.xz"
 checksum="0ab6c55dd86a92ed561972ba15b9b70a8b9f75557f896446c82e8b36e473ee04
- 64baadfe6cc0f4947a84cb12d7f0dfaf45bb58b7e92461639596c21e02d97d2c
+ 79a66834e96a6050d8fe78db2c3b32fb285b230b855d0a66288235bc04b327a0
  8b0941a48d2f980fd7036cfbd24aa1d414f03d9a0652ecbd5ec5c7ff1bee29e3
  0c68f5655528aed4f99dae71a5b259edc93239fa899e2df79c055275c21749a1"
 
@@ -31,7 +31,7 @@ nocross=yes
 nopie=yes
 nodebug=yes
 create_wrksrc=yes
-hostmakedepends="perl flex gcc-ada libada-devel"
+hostmakedepends="flex perl python3"
 makedepends="zlib-devel gmp-devel mpfr-devel libmpc-devel isl15-devel"
 nostrip_files="libcaf_single.a libgcc.a libgcov.a libgcc_eh.a
  libgnarl_pic.a libgnarl.a libgnat_pic.a libgnat.a"
@@ -83,6 +83,7 @@ _gcc_bootstrap() {
 
 	cd ${wrksrc}/gcc-${_gcc_version}
 	_apply_patch -p0 ${FILESDIR}/fix-cxxflags-passing.patch
+	_apply_patch -p0 ${FILESDIR}/non-nullness.patch
 	_apply_patch -p0 ${FILESDIR}/musl-ada.patch
 	_apply_patch -p1 ${FILESDIR}/libgnarl-musl.patch
 

From 3af6c13775dc02eef65ae8e40ea5cc845c16c273 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=C3=BCrgen=20Buchm=C3=BCller?= <pullmoll@t-online.de>
Date: Wed, 15 May 2019 15:21:05 +0200
Subject: [PATCH 32/32] base-chroot: per arch pkgs, disable for *-musl

[ci skip]
---
 srcpkgs/base-chroot/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/base-chroot/template b/srcpkgs/base-chroot/template
index aaca5f41dec..2559bb70e1e 100644
--- a/srcpkgs/base-chroot/template
+++ b/srcpkgs/base-chroot/template
@@ -2,7 +2,7 @@
 pkgname=base-chroot
 version=0.65
 revision=6
-archs=noarch
+archs="~*-musl"
 bootstrap=yes
 build_style=meta
 homepage="http://www.voidlinux.org"
